webpackJsonp([27],{

/***/ 13:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Util; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(128);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_http__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_gallery_modal__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__ = __webpack_require__(229);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var Util = (function () {
    function Util(alertCtrl, translate, http, storage, loadingCtrl, modalCtrl, toast, device, platform, toastCtrl, network) {
        this.alertCtrl = alertCtrl;
        this.translate = translate;
        this.http = http;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.modalCtrl = modalCtrl;
        this.toast = toast;
        this.device = device;
        this.platform = platform;
        this.toastCtrl = toastCtrl;
        this.network = network;
        this.httpJobs = [];
    }
    Util_1 = Util;
    Util.prototype.setGroups = function (gs) {
        this.groups = gs;
    };
    Util.prototype.getGroupName = function (toGroup) {
        var a;
        if (toGroup.indexOf(",") < 0) {
            a = [toGroup];
        }
        else {
            a = toGroup.split(',');
        }
        for (var _i = 0, a_1 = a; _i < a_1.length; _i++) {
            var groupId = a_1[_i];
            for (var i in this.groups) {
                if (this.groups[i].id == groupId)
                    return this.groups[i].name;
            }
        }
        return '';
    };
    // 弹框
    Util.prototype.showAlert = function (type, subTitle, buttons) {
        if (buttons === void 0) { buttons = []; }
        var title;
        switch (type) {
            case "error":
                title = this.translate.instant('global.error');
                break;
            case "notice":
                title = this.translate.instant('global.notice');
                break;
            default:
                title = this.translate.instant('global.notice');
                break;
        }
        if (!buttons || buttons.length == 0)
            buttons = [this.translate.instant('global.confirm')];
        var alert = this.alertCtrl.create({
            title: title,
            // subTitle: subTitle,
            message: subTitle,
            buttons: buttons,
            cssClass: 'alert-box'
        });
        alert.present();
    };
    Util.prototype.hasHttpJobs = function (apiUrl) {
        return (this.httpJobs.indexOf(apiUrl) != -1);
    };
    Util.prototype.addHttpJobs = function (apiUrl) {
        this.httpJobs.push(apiUrl);
    };
    Util.prototype.removeHttpJobs = function (apiUrl) {
        var index = this.httpJobs.indexOf(apiUrl);
        if (index > -1) {
            this.httpJobs.splice(index, 1);
        }
    };
    Util.prototype.post = function (apiUrl, params) {
        if (params === void 0) { params = []; }
        var sysData = this.getStorage('sysData'), userDetail = this.getStorage('userDetail');
        if (userDetail) {
            params.userId = userDetail.id;
            params.sessionKey = userDetail.sessionKey;
        }
        params.deviceId = sysData.deviceId;
        params.lang = sysData.lang;
        //      console.log("post URL ========> " + apiUrl);
        //    console.log("post Params  ========> " + JSON.stringify(params));
        return this.http.post(apiUrl, params, this.getOptions());
    };
    Util.prototype.get = function (apiUrl, params) {
        if (params === void 0) { params = []; }
        var sysData = this.getStorage('sysData'), userDetail = this.getStorage('userDetail');
        params.lang = sysData.lang;
        params.sessionKey = userDetail.sessionKey;
        return this.http.get(apiUrl, new __WEBPACK_IMPORTED_MODULE_4__angular_http__["d" /* RequestOptions */]({
            search: Util_1.buildURLSearchParams(params)
        }));
    };
    Util.prototype.getOptions = function () {
        var headers = new __WEBPACK_IMPORTED_MODULE_4__angular_http__["a" /* Headers */]({
            'Content-Type': 'application/json;charset=utf-8'
        });
        var options = new __WEBPACK_IMPORTED_MODULE_4__angular_http__["d" /* RequestOptions */]({
            headers: headers
        });
        return options;
    };
    Util.buildURLSearchParams = function (paramMap) {
        var params = new __WEBPACK_IMPORTED_MODULE_4__angular_http__["f" /* URLSearchParams */]();
        if (!paramMap) {
            return params;
        }
        for (var key in paramMap) {
            var val = paramMap[key];
            if (val instanceof Date) {
                val = Util_1.dateFormat(val, 'yyyy-MM-dd hh:mm:ss');
            }
            params.set(key, val);
        }
        return params;
    };
    /**
     * 日期对象转为日期字符串
     * @param date 需要格式化的日期对象
     * @param sFormat 输出格式,默认为yyyy-MM-dd                         年：y，月：M，日：d，时：h，分：m，秒：s
     * @example  dateFormat(new Date())                               "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd')                  "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd hh:mm:ss')         "2017-02-28 09:24:00"
     * @example  dateFormat(new Date(),'hh:mm')                       "09:24"
     * @example  dateFormat(new Date(),'yyyy-MM-ddThh:mm:ss+08:00')   "2017-02-28T09:24:00+08:00"
     * @returns {string}
     */
    Util.dateFormat = function (date, sFormat) {
        if (sFormat === void 0) { sFormat = 'yyyy-MM-dd'; }
        var time = {
            Year: 0,
            TYear: '0',
            Month: 0,
            TMonth: '0',
            Day: 0,
            TDay: '0',
            Hour: 0,
            THour: '0',
            hour: 0,
            Thour: '0',
            Minute: 0,
            TMinute: '0',
            Second: 0,
            TSecond: '0',
            Millisecond: 0
        };
        time.Year = date.getFullYear();
        time.TYear = String(time.Year).substr(2);
        time.Month = date.getMonth() + 1;
        time.TMonth = time.Month < 10 ? "0" + time.Month : String(time.Month);
        time.Day = date.getDate();
        time.TDay = time.Day < 10 ? "0" + time.Day : String(time.Day);
        time.Hour = date.getHours();
        time.THour = time.Hour < 10 ? "0" + time.Hour : String(time.Hour);
        time.hour = time.Hour < 13 ? time.Hour : time.Hour - 12;
        time.Thour = time.hour < 10 ? "0" + time.hour : String(time.hour);
        time.Minute = date.getMinutes();
        time.TMinute = time.Minute < 10 ? "0" + time.Minute : String(time.Minute);
        time.Second = date.getSeconds();
        time.TSecond = time.Second < 10 ? "0" + time.Second : String(time.Second);
        time.Millisecond = date.getMilliseconds();
        return sFormat.replace(/yyyy/ig, String(time.Year))
            .replace(/yyy/ig, String(time.Year))
            .replace(/yy/ig, time.TYear)
            .replace(/y/ig, time.TYear)
            .replace(/MM/g, time.TMonth)
            .replace(/M/g, String(time.Month))
            .replace(/dd/ig, time.TDay)
            .replace(/d/ig, String(time.Day))
            .replace(/HH/g, time.THour)
            .replace(/H/g, String(time.Hour))
            .replace(/hh/g, time.Thour)
            .replace(/h/g, String(time.hour))
            .replace(/mm/g, time.TMinute)
            .replace(/m/g, String(time.Minute))
            .replace(/ss/ig, time.TSecond)
            .replace(/s/ig, String(time.Second))
            .replace(/fff/ig, String(time.Millisecond));
    };
    Util.prototype.setStorage = function (key, value) {
        if (typeof value == 'object') {
            window.localStorage.setItem(key, JSON.stringify(value));
        }
        else {
            window.localStorage.setItem(key, value);
        }
    };
    Util.prototype.getStorage = function (key, format) {
        if (format === void 0) { format = 'json'; }
        //  	let data = window.localStorage.getItem(key);
        //	    console.log('getStorage key = ' + key+' data = '+data);
        if (format == 'json')
            return JSON.parse(window.localStorage.getItem(key));
        else
            return window.localStorage.getItem(key) ? window.localStorage.getItem(key) : '';
    };
    Util.prototype.removeAllStorage = function () {
        console.log('util removeAllStorage ');
        window.localStorage.removeItem('updatedDetail');
        window.localStorage.removeItem('userDetail');
        window.localStorage.removeItem('studentDetail');
        window.localStorage.removeItem('updateBadge');
        window.localStorage.removeItem('DB_CURR_VERSION');
        window.localStorage.removeItem('app');
        //window.localStorage.removeItem('sysData');
    };
    Util.prototype.removeStorage = function (key) {
        window.localStorage.removeItem(key);
    };
    Util.prototype.clearStorage = function () {
        window.localStorage.clear();
    };
    Util.prototype.pushStorage = function (field, values) {
        var data = this.getStorage(field) ? this.getStorage(field) : {};
        for (var key in values) {
            data[key] = values[key];
        }
        this.setStorage(field, data);
    };
    // 是否第一次启动应用
    Util.prototype.checkFirstLaunch = function () {
        var firstLaunch = false;
        var appData = this.getStorage('app') ? this.getStorage('app') : {};
        if (!appData || typeof (appData['firstLaunch']) == 'undefined') {
            firstLaunch = true;
        }
        return firstLaunch;
    };
    // 打开外部URL
    Util.prototype.openUrl = function (url) {
        window.open(url, '_system', 'location=yes,EnableViewPortScale=yes');
    };
    Util.prototype.showLoading = function (content) {
        if (content === void 0) { content = ''; }
        this.loading = this.loadingCtrl.create({
            spinner: 'bubbles',
            duration: 30000,
            //content: content ? content : 'Loading...'
            cssClass: 'custom-loading'
        });
        this.loading.present();
    };
    Util.prototype.hideLoading = function () {
        this.loading.dismiss();
    };
    Util.prototype.getSysLang = function () {
        var sysLang = navigator.language;
        var lang = 'en';
        if (sysLang.match(/^en/)) {
            lang = 'en';
        }
        else if (sysLang.match(/^zh/)) {
            if (sysLang.toLowerCase() == 'zh-cn') {
                lang = 'zh-CN';
            }
            else if (sysLang.toLowerCase() == 'zh-hk' || sysLang.toLowerCase() == 'zh-tw') {
                lang = 'zh-TW';
            }
            else {
                lang = 'zh-CN';
            }
        }
        return lang;
    };
    Util.prototype.getCurrentDatetime = function () {
        return Math.round(new Date().getTime() / 1000);
    };
    /*
    return 201809271056
    */
    Util.prototype.getCurrentDatetimeInteger = function () {
        var d = new Date();
        return "" + d.getFullYear() + (this.paddingLeft(d.getMonth() + 1, "00")) + this.paddingLeft(d.getDate(), "00") + this.paddingLeft(d.getHours(), "00") + this.paddingLeft(d.getMinutes(), "00") + "00";
    };
    Util.prototype.paddingLeft = function (v, paddingValue) {
        return String(paddingValue + v).slice(-paddingValue.length);
    };
    Util.prototype.openGallery = function (photos, index) {
        index = index ? index : 0;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5_ionic_gallery_modal__["a" /* GalleryModal */], {
            photos: photos,
            initialSlide: index,
            closeIcon: 'close'
        });
        modal.present();
    };
    Util.prototype.inArray = function (str, arr) {
        if (arr == undefined)
            return false;
        for (var i = 0; i < arr.length; i++) {
            var thisEntry = arr[i].toString();
            if (thisEntry == str) {
                return true;
            }
        }
        return false;
    };
    Util.prototype.isEmpty = function (obj) {
        return Object.keys(obj).length === 0;
    };
    Util.prototype.removeEle = function (ele, arr) {
        for (var i = 0; i < arr.length; i++) {
            if (arr[i] == ele) {
                arr.splice(i, 1);
            }
        }
        return arr;
    };
    Util.prototype.getCurrentStudentId = function () {
        var userDetail = this.getStorage('userDetail');
        return userDetail ? parseInt(userDetail.currentStudentId) : 0;
    };
    Util.prototype.getCurrentStudent = function () {
        var currentStudentId = this.getCurrentStudentId();
        var studentDetail = this.getStorage('studentDetail');
        return studentDetail[currentStudentId];
    };
    Util.prototype.hasMoreStudent = function () {
        var studentDetail = this.getStorage('studentDetail');
        var i = 0;
        for (var studentId in studentDetail) {
            i++;
        }
        return i > 1 ? true : false;
    };
    Util.prototype.setCurrentStudentId = function (id) {
        var userDetail = this.getStorage('userDetail');
        //		console.log('setCurrentStudentId: userDetail.currentStudentId=' +userDetail.currentStudentId+" id="+id);
        userDetail.currentStudentId = id;
        this.setStorage('userDetail', userDetail);
    };
    Util.prototype.getCurrentSchoolId = function (studentId) {
        var school = this.getSchool(studentId);
        return school.id;
    };
    Util.prototype.getSchool = function (studentId) {
        var studentDetail = this.getStorage('studentDetail');
        for (var key in studentDetail) {
            if (parseInt(key) == studentId)
                return studentDetail[key].school;
        }
    };
    Util.prototype.getDeviceToken = function () {
        var _this = this;
        this.platform.ready().then(function () {
            return _this.getStorage("deviceToken", "string") ? _this.getStorage("deviceToken", "string") : _this.device.uuid;
        });
        return '';
    };
    Util.prototype.getPushSDK = function () {
        var _this = this;
        this.platform.ready().then(function () {
            return _this.getStorage("pushSDK", "string") ? _this.getStorage("pushSDK", "string") : 'fcm';
        });
        return 'fcm';
    };
    Util.prototype.getModulePage = function (pushType, id) {
        var modulePage;
        pushType = pushType + "";
        if (pushType == "6") {
            console.log("util haha");
            return 'AttendancePage';
        }
        switch (pushType) {
            case "1":
                if (id)
                    modulePage = 'MessageDetailPage';
                else
                    modulePage = 'MessagePage';
                break;
            case "2":
                console.log('case 2 ');
                if (id)
                    modulePage = 'NoticeDetailPage';
                else
                    modulePage = 'NoticePage';
                break;
            case "3":
                /*
                    if(id)
                        modulePage = 'HomeworkDetailPage';
                    else
                        modulePage = 'HomeworkPage';
                        */
                modulePage = 'HomeworkPage';
                break;
            case "4":
                if (id)
                    modulePage = 'LeaveDetailPage';
                else
                    modulePage = 'LeavePage';
                break;
            case "6":
                /*
                    if(id)
                        modulePage = 'AttendanceDetailPage';
                    else
                        modulePage = 'AttendancePage';
                        */
                modulePage = 'AttendancePage';
                break;
            case "7":
                if (id)
                    modulePage = 'NewsDetailPage';
                else
                    modulePage = 'NewsPage';
                break;
            default:
                modulePage = 'HomePage';
                break;
        }
        console.log("util go modulePage id=" + id + " pushType=" + pushType + " modulePage=" + modulePage);
        return modulePage;
    };
    Util.prototype.showToast = function (msg, duration, position) {
        var toast = this.toast.create({
            message: msg,
            duration: duration ? duration : 3000,
            position: position ? position : 'bottom'
        });
        toast.present();
    };
    Util.prototype.getSchoolCalendarPath = function () {
        var studentId = this.getCurrentStudentId();
        var school = this.getSchool(studentId);
        if (school.calendar) {
            return school.attachmentPath + '/' + school.calendar;
        }
        else {
            return false;
        }
    };
    Util.prototype.getModules = function () {
        var studentId = this.getCurrentStudentId();
        var school = this.getSchool(studentId);
        if (school != undefined) {
            var module = school.modules + "";
            return module.split(",");
        }
        return [];
    };
    Util.prototype.getSchoolModules = function (studentId) {
        var school = this.getSchool(studentId);
        if (school != undefined) {
            var module = school.modules + "";
            return module.split(",");
        }
        return ['message'];
    };
    Util.prototype.getAvatar = function (studentId) {
        var studentDetail = this.getStorage("studentDetail") ? this.getStorage("studentDetail") : {};
        if (studentDetail[studentId]) {
            return studentDetail[studentId].avatar;
        }
        else {
            return '../../assets/imgs/default_avatar.png';
        }
    };
    Util.prototype.getVersion = function () {
        var app = this.getStorage('app');
        return app['version'];
    };
    Util.prototype.getPlatform = function () {
        var platform = this.device.platform.toLowerCase();
        return platform;
    };
    //检测网络，若未连接网络，给出提示
    Util.prototype.hasNetwork = function () {
        if (this.network.type === 'unknown') {
            console.log('Network =====> Unknown');
            return true;
        }
        else if (this.network.type === 'none') {
            console.log('Network =====> No');
            return false;
        }
        else {
            console.log('Network =====> ' + this.network.type);
            return true;
        }
    };
    Util = Util_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_4__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__["a" /* Device */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__["a" /* Network */]])
    ], Util);
    return Util;
    var Util_1;
}());

//# sourceMappingURL=util.js.map

/***/ }),

/***/ 162:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__student_student__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__database__ = __webpack_require__(20);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var PaymentProvider = (function () {
    function PaymentProvider(util, update, db, student, platform) {
        this.util = util;
        this.update = update;
        this.db = db;
        this.student = student;
        this.platform = platform;
    }
    /*getOverview(schoolId: number = 0, studentId: number = 0) {
        let sid: number,
            updated: number;
        if(!schoolId) {
            let school = this.getSchoolData();
            sid = school.id;
            updated = school.updated;
        } else {
            sid = schoolId;
            updated = Date.now();
        }

        return this.util.post(Config.paymentGetApiUrl, {
            'studentId': studentId ? studentId : this.util.getCurrentStudentId(),
            'schoolId': sid,
            'updated': updated
        });
    }*/
    PaymentProvider.prototype.getSchoolData = function () {
        var currentStudentId = this.util.getCurrentStudentId();
        return this.util.getSchool(currentStudentId);
    };
    PaymentProvider.prototype.getLatestFromRemoteDb = function (studentId) {
        var _this = this;
        var params = {
            studentId: studentId,
            updated: this.update.getUpdatedValue(studentId, 'pmtUpdated')
        };
        this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].paymentGetApiUrl, params).subscribe(function (res) {
            var data = res.json();
            //console.log('payment getLatestFromRemoteDb ===>' + JSON.stringify(data));
            if (data.code == 1) {
                _this.student.setPaymentCount(data.counter, studentId);
                _this.saveRecords(studentId, data.batches, data.rows);
                if (data.rows.length)
                    _this.update.setUpdatedValue('pmtUpdated', studentId, data.rows[data.rows.length - 1].created);
                return data;
            }
        });
    };
    PaymentProvider.prototype.saveRecords = function (studentId, batches, records) {
        var _this = this;
        this.platform.ready().then(function () {
            if (records) {
                for (var key in records) {
                    _this.db.replace('payment', records[key]).then(function (ret) { });
                }
            }
            if (batches) {
                for (var key in batches) {
                    delete batches[key].required;
                    batches[key].studentId = studentId;
                    _this.db.replace('payment_batch', batches[key]).then(function (ret) {
                        //console.log('payment_batch ===>' + JSON.stringify(ret));
                    });
                }
            }
        });
    };
    PaymentProvider.prototype.getBatchesFromLocalDb = function (page, condition) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        return this.db.select('payment_batch', '*', condition, 'sDate DESC', null, pageSize, offset);
    };
    PaymentProvider.prototype.getTotalPage = function (condition) {
        return this.db.getTotalPage('payment', condition);
    };
    PaymentProvider.prototype.getItemsFromLocalDb = function (page, condition) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        return this.db.select('payment', '*', condition, ' id DESC', null, pageSize, offset);
    };
    PaymentProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_6__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_5__student_student__["a" /* StudentProvider */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Platform"]])
    ], PaymentProvider);
    return PaymentProvider;
}());

//# sourceMappingURL=payment.js.map

/***/ }),

/***/ 163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LeaveProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__update_update__ = __webpack_require__(31);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var LeaveProvider = (function () {
    function LeaveProvider(util, db, update, platform) {
        this.util = util;
        this.db = db;
        this.update = update;
        this.platform = platform;
    }
    LeaveProvider.prototype.getLatestFromRemoteDb = function (studentId) {
        var _this = this;
        var params = {
            studentId: studentId ? studentId : this.util.getCurrentStudentId(),
            updated: this.update.getUpdatedValue(studentId, 'lveUpdated')
        };
        this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].leaveGetApiUrl, params).subscribe(function (res) {
            var data = res.json();
            if (data.code == 1) {
                _this.saveRecords(data.rows);
                if (data.rows.length)
                    _this.update.setUpdatedValue('lveUpdated', studentId, data.rows[data.rows.length - 1].updated);
                return data;
            }
        });
    };
    LeaveProvider.prototype.getTotalPage = function () {
        var condition = "studentId = " + this.util.getCurrentStudentId();
        return this.db.getTotalPage('leave', condition);
    };
    LeaveProvider.prototype.getItemsFromLocalDb = function (page) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = "studentId = " + this.util.getCurrentStudentId();
        return this.db.select('leave', '*', condition, ' id DESC', null, pageSize, offset);
    };
    LeaveProvider.prototype.getItemsFromRemoteDb = function () {
        /*
                    this.db.select('leave', '*', condition, ' id DESC', null, pageSize, offset).then((ret) => {
                    console.log('leave.rows ========> ' + JSON.stringify(ret));
        });
        */
        var studentId = this.util.getCurrentStudentId();
        var updated = this.update.getUpdatedValue(studentId, 'lveUpdated') ? this.update.getUpdatedValue(studentId, 'lveUpdated') : 0;
        var ret = this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].leaveGetApiUrl, {
            'updated': updated,
            'studentId': studentId
        });
        return ret;
    };
    LeaveProvider.prototype.attach = function (params, files) {
        var data = {
            studentId: this.util.getCurrentStudentId(),
        };
        data['id'] = params.id;
        data['files'] = files;
        return this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].leaveAttachApiUrl, data);
    };
    LeaveProvider.prototype.create = function (params, files) {
        var data = {
            studentId: this.util.getCurrentStudentId(),
            password: params.password
        };
        delete params.password;
        data['Leave'] = params;
        data['files'] = files;
        return this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].leaveCreateApiUrl, data);
    };
    LeaveProvider.prototype.saveRecords = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                var _loop_1 = function (key) {
                    var attachments = [];
                    if ("attachments" in records[key]) {
                        attachments = records[key].attachments;
                        delete records[key].attachments;
                    }
                    _this.db.replace('leave', records[key]).then(function (ret) {
                        // 保存附件
                        if (attachments.length) {
                            for (var j in attachments) {
                                _this.db.replace('leave_attachment', attachments[j]);
                            }
                        }
                    });
                };
                for (var key in records) {
                    _loop_1(key);
                }
            });
        }
    };
    LeaveProvider.prototype.getItem = function (id) {
        return this.db.select('leave', '*', { id: id });
    };
    LeaveProvider.prototype.getAttachments = function (refId) {
        return this.db.select('leave_attachment', 'filePath, fileName, fileUrl', 'refId=' + refId);
    };
    LeaveProvider.prototype.cancel = function (id) {
        var data = {
            id: id,
            studentId: this.util.getCurrentStudentId()
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].leaveCancelApiUrl, data);
    };
    LeaveProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_5__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Platform"]])
    ], LeaveProvider);
    return LeaveProvider;
}());

//# sourceMappingURL=leave.js.map

/***/ }),

/***/ 166:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendanceProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AttendanceProvider = (function () {
    function AttendanceProvider(platform, db, update, util) {
        this.platform = platform;
        this.db = db;
        this.update = update;
        this.util = util;
    }
    AttendanceProvider.prototype.getItemsFromRemoteDb = function () {
        var studentId = this.util.getCurrentStudentId();
        var updated = this.update.getUpdatedValue(studentId, 'attUpdated') ? this.update.getUpdatedValue(studentId, 'attUpdated') : 0;
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].attendanceGetApiUrl, {
            'updated': updated,
            'studentId': studentId
        });
    };
    AttendanceProvider.prototype.getItemsFromLocalDb = function (page, condition) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        return this.db.select('attendance', '*', condition, ' updated DESC', null, pageSize, offset);
    };
    AttendanceProvider.prototype.getTotalPage = function (condition) {
        return this.db.getTotalPage('attendance', condition);
    };
    AttendanceProvider.prototype.saveRecords = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                var _loop_1 = function (key) {
                    _this.db.replace('attendance', records[key]).then(function (ret) {
                        if (ret) {
                            _this.update.setUpdatedValue('attUpdated', records[key].studentId, records[key].updated);
                        }
                    });
                };
                for (var key in records) {
                    _loop_1(key);
                }
            });
        }
    };
    AttendanceProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */]])
    ], AttendanceProvider);
    return AttendanceProvider;
}());

//# sourceMappingURL=attendance.js.map

/***/ }),

/***/ 167:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CalendarProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_config__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var CalendarProvider = (function () {
    function CalendarProvider(http, util, update, platform, db) {
        this.http = http;
        this.util = util;
        this.update = update;
        this.platform = platform;
        this.db = db;
    }
    CalendarProvider.prototype.getLatestFromRemoteDb = function (schoolId, studentId) {
        var _this = this;
        var params = {
            schoolId: schoolId,
            updated: this.update.getUpdatedValue(studentId, 'calUpdated')
        };
        this.util.post(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].calendarGetApiUrl, params).subscribe(function (res) {
            var data = res.json();
            if (data.code == 1) {
                var records = data.rows;
                if (records.length > 0) {
                    _this.db.delete('calendar', { schoolId: schoolId });
                    _this.saveRecords(records);
                }
                _this.update.setUpdatedValue('calUpdated', studentId, data.updated);
            }
        });
    };
    CalendarProvider.prototype.getTotalPage = function (condition) {
        return this.db.getTotalPage('calendar', condition);
    };
    CalendarProvider.prototype.getItemsFromLocalDb = function (page, condition) {
        /*
        this.db.select('calendar', '*', '', ' id ASC', null, 100, 0).then((ret) => {
            console.log('calendar.rows ========> ' + JSON.stringify(ret));
        });
        */
        var pageSize = __WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        return this.db.select('calendar', '*', condition, ' sDate ASC', null, pageSize, offset);
    };
    CalendarProvider.prototype.saveRecords = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                for (var key in records) {
                    delete records[key].days;
                    //					this.db.replace('calendar', records[key]).then((ret) => {});
                    _this.db.insert('calendar', records[key]).then(function (ret) { });
                }
            });
        }
    };
    CalendarProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */], __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_5__database__["a" /* DatabaseProvider */]])
    ], CalendarProvider);
    return CalendarProvider;
}());

//# sourceMappingURL=calendar.js.map

/***/ }),

/***/ 168:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FileProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var FileProvider = (function () {
    function FileProvider(platform, db, update, util, fileAction) {
        this.platform = platform;
        this.db = db;
        this.update = update;
        this.util = util;
        this.fileAction = fileAction;
        this.subject = '';
    }
    FileProvider.prototype.open = function (nativeFile, url) {
        return this.fileAction.open(nativeFile, url);
    };
    FileProvider.prototype.download = function (fileUrl, filePath) {
        return this.fileAction.download(fileUrl, filePath);
    };
    FileProvider.prototype.checkFile = function (path, fileName) {
        return this.fileAction.checkFile(path, fileName);
    };
    FileProvider.prototype.getDataDirectory = function () {
        return this.fileAction.getDataDirectory();
    };
    FileProvider.prototype.getItemsFromLocalDb = function (studentId, page, groupId) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = " studentId = " + studentId;
        if (groupId) {
            condition += " AND (',' || toGroup || ',') LIKE '%," + groupId + ",%'";
        }
        console.log('getItemsFromLocalDb condition= ' + condition);
        return this.db.select('attachment', '*', condition, ' updated DESC', null, pageSize, offset);
    };
    FileProvider.prototype.getItemsFromRemoteDb = function () {
        var studentId = this.util.getCurrentStudentId();
        var schoolId = this.util.getCurrentSchoolId(studentId);
        var updated = this.update.getUpdatedValue(studentId, 'fileUpdated') ? this.update.getUpdatedValue(studentId, 'fileUpdated') : 0;
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].fileGetApiUrl, {
            'updated': updated,
            'schoolId': schoolId,
            'studentId': studentId
        });
    };
    FileProvider.prototype.getTotalPage = function () {
        var condition = "studentId = " + this.util.getCurrentStudentId();
        return this.db.getTotalPage('attachment', condition);
    };
    FileProvider.prototype.getItem = function (id) {
        return this.db.select('attachment', '*', { id: id });
    };
    FileProvider.prototype.saveRecords = function (records) {
        var _this = this;
        console.log('file saveRecords = ' + JSON.stringify(records));
        if (records.length > 0) {
            var _loop_1 = function (key) {
                this_1.db.replace('attachment', records[key]).then(function (ret) {
                    if (ret) {
                        /* let filePath = records[key].filePath;
                        let path = filePath.substring(0, filePath.lastIndexOf('/') + 1);
                        let fileName = filePath.substring(filePath.lastIndexOf('/') + 1); */
                        _this.fileAction.download(records[key].fileUrl);
                        _this.update.setUpdatedValue('fileUpdated', records[key].studentId, records[key].updated);
                    }
                });
            };
            var this_1 = this;
            for (var key in records) {
                _loop_1(key);
            }
        }
    };
    FileProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_6__libs_file__["a" /* FileAction */]])
    ], FileProvider);
    return FileProvider;
}());

//# sourceMappingURL=file.js.map

/***/ }),

/***/ 177:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 177;

/***/ }),

/***/ 18:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Config; });
// 开发环境
//let SERVER_URL:string = "http://dev-api.schoolapp.hk/";
// 生产环境
var SERVER_URL = "https://api.schoolapp.hk/";
/**
 * APP配置
 */
var Config = (function () {
    function Config() {
    }
    Config.schoolId = 817;
    Config.bundleID = 'hk.schoolapp.parent.locktao';
    Config.versionCode = '32054';
    Config.versionName = '3.20.54';
    Config.defaultLang = 'zh-TW';
    Config.deviceToken = 'deviceToken123';
    Config.pageSize = 10;
    Config.defaultAreaCode = '852';
    Config.forgotPasswordPage = 'https://parent.schoolapp.hk/user/forgot';
    Config.faqPage = 'https://www.schoolapp.hk/help/parent';
    Config.privacyPage = 'https://www.schoolapp.hk/site/page/view/privacy';
    Config.contactUsPage = 'https://www.schoolapp.hk/site/contact';
    Config.signinApiUrl = SERVER_URL + 'parent/profile/login';
    Config.logoutApiUrl = SERVER_URL + 'parent/profile/logout';
    Config.uuidSigninApiUrl = SERVER_URL + 'parent/profile/uuid-login';
    Config.signupApiUrl = SERVER_URL + 'parent/profile/signup';
    Config.paymentGetApiUrl = SERVER_URL + 'parent/payment/get';
    Config.messageGetApiUrl = SERVER_URL + 'parent/message/get';
    Config.messageSetReadApiUrl = SERVER_URL + 'parent/message/set-read';
    Config.attendanceGetApiUrl = SERVER_URL + 'parent/attendance/get';
    Config.homeworkGetApiUrl = SERVER_URL + 'parent/homework/get';
    Config.noticeGetApiUrl = SERVER_URL + 'parent/notice/get';
    Config.noticeSetReadApiUrl = SERVER_URL + 'parent/notice/set-read';
    Config.noticeReplyApiUrl = SERVER_URL + 'parent/notice/reply';
    Config.calendarGetApiUrl = SERVER_URL + 'parent/calendar/get';
    Config.newsGetApiUrl = SERVER_URL + 'parent/news/get';
    Config.newsSetReadApiUrl = SERVER_URL + 'parent/news/set-read';
    Config.leaveGetApiUrl = SERVER_URL + 'parent/leave/get';
    Config.leaveCreateApiUrl = SERVER_URL + 'parent/leave/create';
    Config.leaveAttachApiUrl = SERVER_URL + 'parent/leave/attach';
    Config.leaveCancelApiUrl = SERVER_URL + 'parent/leave/cancel';
    Config.parentInitApiUrl = SERVER_URL + 'parent/profile/init';
    Config.resetPasswdApiUrl = SERVER_URL + 'parent/profile/resetpw';
    Config.parentCheckSignupCodeApiUrl = SERVER_URL + 'parent/profile/check-signup-code';
    Config.androidUpdateUrl = SERVER_URL + 'android/update.xml';
    Config.attachmentUploadUrl = SERVER_URL + 'attachment/upload';
    Config.iphoneUpdateUrl = 'https://';
    Config.setTokenApiUrl = SERVER_URL + 'parent/device/settoken';
    Config.sendbackUrl = SERVER_URL + 'parent/device/sendback';
    Config.noticeGetOneUrl = SERVER_URL + 'parent/notice/get-one';
    Config.messageGetOneUrl = SERVER_URL + 'parent/message/get-one';
    Config.fileGetApiUrl = SERVER_URL + 'parent/file/get';
    // 数据库设置
    Config.db = {
        name: 'SAP2017_DB',
        initVersion: 'DB_V1',
        latestVersion: 'DB_V5',
        tables: {
            Attendance: "attendance",
            Message: "message",
            Notice: "notice",
            Notice_question: "notice_question",
            Homework: "homework",
            Calendar: "calendar",
            Bookmark: "bookmark",
            Leave: "leave",
            Leave_attachment: "leave_attachment",
            Payment: "payment",
            Payment_batch: "payment_batch",
            News: "news"
        },
        dropTables: [
            "DROP TABLE attendance;",
            "DROP TABLE message;",
            "DROP TABLE notice;",
            "DROP TABLE notice_question;",
            "DROP TABLE homework;",
            "DROP TABLE calendar;",
            "DROP TABLE bookmark;",
            "DROP TABLE leave;",
            "DROP TABLE leave_attachment;",
            "DROP TABLE payment;",
            "DROP TABLE payment_batch;",
            "DROP TABLE news;",
            "DROP TABLE attachment;"
        ],
        cleanTables: {
            Attendance: { name: 'attendance', 'field': 'payDate' },
            Message: { name: 'message', 'field': 'publishDate' },
            Notice: { name: 'notice', 'field': 'publishDate' },
            Homework: { name: 'homework', 'field': 'publishDate' },
            News: { name: 'news', 'field': 'publishDate' }
        },
        DB_V5: [
            ["CREATE TABLE IF NOT EXISTS `attachment` (id INT, studentId INT, toGroup TEXT, type INT, refId INT, fileName TEXT, fileUrl TEXT, filePath TEXT, updated TIMESTAMP, fileType VARCHAR(5), primary key (id, studentId));"]
        ],
        DB_V4: [
            ["ALTER TABLE notice ADD expiryTime TEXT DEFAULT '23:59:59';"],
            ["ALTER TABLE notice ADD batchId INT;"]
        ],
        DB_V3: [
            ["ALTER TABLE message ADD foto TEXT;"],
            ["ALTER TABLE news ADD foto TEXT;"]
        ],
        DB_V2: [
            ["ALTER TABLE notice ADD expiryTime TEXT DEFAULT '23:59:59';"],
            ["ALTER TABLE leave ADD foto TEXT;"]
        ],
        DB_V1: [
            "CREATE TABLE IF NOT EXISTS `attendance` (id INT NOT NULL PRIMARY KEY, schoolId INT, groupId INT, studentId INT, payDate DATE, leaveType INT, inMachineNum INT, inDate DATE, inTime TIME, inVerifyMethod INT, inPic TEXT, outDate DATE, outTime TIME, outVerifyMethod INT, outPic TEXT, workTime INT, lateTime INT, otTime INT, earlyTime INT, created TIMESTAMP, operator INT, updated TIMESTAMP, status INT, exempt INT, remark TEXT, late INT, early INT, isManual INT, cfm INT, absentReason INT, days INT, slotId INT, inPicUrl TEXT, outPicUrl TEXT, rosterId INT ,`picUrl` TEXT);",
            "CREATE TABLE IF NOT EXISTS `message` (id INT, toGroup INT, studentId INT, content LONGTEXT, attachmentType VARCHAR(10), pushType INT, refId INT, updated TIMESTAMP, publishDate DATE, m2sId INT, m2sStatus INT, sender TEXT, groupNameArray TEXT, groupName TEXT, attachmentUrl TEXT, attachments TEXT, title TEXT, fileName TEXT, attachment TEXT, attachmentPath TEXT, catId INT, catName TEXT, foto TEXT, primary key (id, studentId));",
            "CREATE TABLE IF NOT EXISTS `notice` (id INT, batchId INT, toGroup INT, toStudent TEXT, thankyouMsg TEXT, title TEXT, code TEXT, fileName TEXT, attachment TEXT, attachmentPath TEXT, content LONGTEXT, needReply INT, expiryDate DATE, updated TIMESTAMP, publishDate DATE, studentId INT, signDate DATETIME, n2sStatus INT, n2sUpdated TIMESTAMP, sender TEXT, groupNameArray TEXT, groupName TEXT, attachmentUrl TEXT, expire INT, attachments TEXT, expiryTime TEXT, primary key (id, studentId) );",
            "CREATE TABLE IF NOT EXISTS `notice_question` (id INT , noticeId INT, studentId INT, label TEXT, fieldType TEXT, fieldValue TEXT, needReply INT, rank INT, parentId INT, parentValue TEXT, answer TEXT, fieldAmount TEXT, needQty INT, qty TEXT, primary key (id, studentId, noticeId) );",
            "CREATE TABLE IF NOT EXISTS `homework` (id INT , studentId INT, title TEXT, subjectId INT, groupId INT, fileName TEXT, attachment TEXT, attachmentPath TEXT, publishDate DATE, handinDate DATE, updated TIMESTAMP, marks INT, remark TEXT, missing INT, subjectName TEXT, subjectCode TEXT, attachmentUrl TEXT, primary key (id, studentId));",
            "CREATE TABLE IF NOT EXISTS `calendar` (id INTEGER NOT NULL PRIMARY KEY, schoolId INT, title TEXT, type TEXT, groupId INT, sDate DATE, eDate DATE, created DATETIME, updated TIMESTAMP, scheduleCate INT);",
            "CREATE TABLE IF NOT EXISTS `bookmark` (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, studentId INT, type TEXT, refId INT,  title TEXT, date DATE, updated TIMESTAMP);",
            "CREATE TABLE IF NOT EXISTS `leave` (id INT, userId INT, studentId INT, schoolId INT, content TEXT, startDate DATE, ampmStartDate VARCHAR(2), endDate DATE, ampmEndDate VARCHAR(2), created DATETIME, status INT, remark TEXT, leaveType INT, updated TIMESTAMP, sta TEXT, days TEXT, foto TEXT, primary key (id, studentId));",
            "CREATE TABLE IF NOT EXISTS `leave_attachment` (id INT NOT NULL PRIMARY KEY, type VARCHAR(2), refId INT, fileName TEXT, filePath TEXT, fileType VARCHAR(5), fileUrl TEXT);",
            "CREATE TABLE IF NOT EXISTS `payment` (id INT,  studentId INT, groupId INT, schoolId INT, batchId INT, amount INT, charge INT, balance INT,  payDate DATE, created DATETIME, type INT, method INT, remark TEXT, cntSuccess INT, cntFailed INT, batchTitle TEXT,primary key (id, studentId) );",
            "CREATE TABLE IF NOT EXISTS `payment_batch` (id INT,  studentId INT, title TEXT, sDate DATE, eDate DATE, amount TEXT, status INT , primary key (id, studentId));",
            "CREATE TABLE IF NOT EXISTS `news` (id INT, title TEXT, toGroup INT, content LONGTEXT, pushType INT, refId INT, updated TIMESTAMP, publishDate DATE, fileName TEXT, attachment TEXT, attachmentPath TEXT, sender TEXT, catId INT, studentId INT, attachmentUrl TEXT, attachments TEXT, catName TEXT, m2sId INT, m2sStatus INT, foto TEXT, primary key (id, studentId));",
            "CREATE TABLE IF NOT EXISTS `attachment` (id INT, studentId INT, toGroup TEXT, type INT, refId INT, fileName TEXT, fileUrl TEXT, filePath TEXT, updated TIMESTAMP, fileType VARCHAR(5), primary key (id, studentId));"
        ]
    };
    return Config;
}());

//# sourceMappingURL=app.config.js.map

/***/ }),

/***/ 20:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatabaseProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var DatabaseProvider = (function () {
    function DatabaseProvider(sqlite, events, util) {
        this.sqlite = sqlite;
        this.events = events;
        this.util = util;
    }
    DatabaseProvider.prototype.getDB = function () {
        return this.sqlite.create({
            name: __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.name,
            location: 'default'
        });
    };
    DatabaseProvider.prototype.init = function () {
        var _this = this;
        return this.getDB().then(function (db) {
            _this.createTables(db);
        }).catch(function (e) { return console.log(e); });
    };
    DatabaseProvider.prototype.rebuild = function () {
        var _this = this;
        console.log("rebuild database start");
        var ary = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.dropTables.concat(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.DB_V1);
        this.getDB().then(function (db) {
            var _loop_1 = function (i) {
                var sql = ary[i];
                db.executeSql(sql, []).then(function (res) {
                    console.log(sql);
                });
            };
            for (var i in ary) {
                _loop_1(i);
            }
            _this.setVersion(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.latestVersion);
            console.log("rebuild database finish");
        }).catch(function (e) { return _this.logError("rebuild db", e.message); });
    };
    DatabaseProvider.prototype.logError = function (sql, msg) {
        console.error('DB SQL: ' + sql);
        console.error('DB error: ' + msg);
        var sysData = this.util.getStorage('sysData');
        var params = {
            cause: sql,
            content: msg,
            deviceType: sysData.deviceType,
            deviceId: sysData.deviceId,
            version: sysData.version,
            versionCode: __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].versionCode,
            bundleID: __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].bundleID,
            dbVersion: this.getVersion()
        };
        this.util.post(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].sendbackUrl, params).subscribe(function (res) {
            console.log('sendback return = ' + JSON.stringify(res));
        });
        // show alert
        if (msg) {
            this.events.publish('preSignout');
        }
    };
    DatabaseProvider.prototype.createTables = function (db) {
        var curVersion = this.getVersion();
        console.log("当前数据库版本号为：" + curVersion);
        if (!curVersion) {
            curVersion = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.initVersion;
            db.sqlBatch(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db[curVersion])
                .then(function () { return console.log('Init database success. ' + curVersion); })
                .catch(function (e) { return console.error('Init database error. ' + curVersion, JSON.stringify(e, Object.getOwnPropertyNames(e))); });
            this.setVersion(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.latestVersion);
        }
        else {
            var startIdx = parseInt(curVersion.substr(4, 3));
            var endIdx = parseInt(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.latestVersion.substr(4, 3));
            console.log("startIdx = " + startIdx + " endIdx=" + endIdx);
            var i;
            for (i = startIdx + 1; i <= endIdx; i++) {
                console.log("i：" + i);
                var k = 'DB_V' + i;
                console.log("开始重建数据库，版本号为：" + k);
                console.log("重建数据库 sql：" + JSON.stringify(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db[k]));
                db.sqlBatch(__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db[k])
                    .then(function () { return console.log('Init database success. ' + k); })
                    .catch(function (e) { return console.error('Init database error. ' + k, JSON.stringify(e, Object.getOwnPropertyNames(e))); });
                this.setVersion(k);
            }
        }
    };
    /**
    Usage:
        this.platform.ready().then(() => {
            let result = this.db.insert('bookmark', {id: 'NULL', studentId: 12, type: 'test', refId: 10, title: 'abc', date: '2018-03-22', updated: 1521415692});
             result.then((ret) => {
                 console.log('Table {bookmark} last insert id is ' + ret);
             });
        });
    */
    DatabaseProvider.prototype.insert = function (table, params) {
        var _this = this;
        var sql = '';
        if (table && typeof (params) == 'object' && Object.keys(params).length) {
            var paramsData = "(";
            var fieldsData = "(";
            for (var i in params) {
                fieldsData += i + ',';
                if (params[i] !== 'NULL') {
                    if (typeof (params[i]) == 'string') {
                        paramsData += "'" + params[i].replace(/\'/g, "''") + "',";
                    }
                    else if (typeof (params[i] == 'object')) {
                        paramsData += "'" + JSON.stringify(params[i]) + "',";
                    }
                    else {
                        paramsData += params[i] + ",";
                    }
                }
                else {
                    paramsData += params[i] + ",";
                }
            }
            fieldsData = fieldsData.slice(0, -1) + ")";
            paramsData = paramsData.slice(0, -1) + ")";
            sql = "INSERT INTO " + table + fieldsData + " VALUES " + paramsData;
            // console.log(sql);
            return this.getDB().then(function (db) {
                return db.executeSql(sql, []).then(function (res) {
                    // console.log(JSON.stringify(res));
                    return res.insertId;
                }).catch(function (e) { return _this.logError(sql, e.message); });
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }
    };
    /**
    Usage:
        this.platform.ready().then(() => {
            let result = this.db.replace('bookmark', {id: 'NULL', studentId: 12, type: 'test', refId: 10, title: 'abc', date: '2018-03-22', updated: 1521415692});
             result.then((ret) => {
                 console.log('Table {bookmark} last replace id is ' + ret);
             });
        });
//      }).catch((e) => console.error(e.message));
    */
    DatabaseProvider.prototype.replace = function (table, params) {
        var _this = this;
        var sql = '';
        if (table && typeof (params) == 'object' && Object.keys(params).length) {
            var paramsData = "(";
            var fieldsData = "(";
            for (var i in params) {
                fieldsData += i + ',';
                if (params[i] !== 'NULL') {
                    if (typeof (params[i]) == 'string') {
                        paramsData += "'" + params[i].replace(/\'/g, "''") + "',";
                    }
                    else if (typeof (params[i] == 'object')) {
                        paramsData += "'" + JSON.stringify(params[i]) + "',";
                    }
                    else {
                        paramsData += params[i] + ",";
                    }
                }
                else {
                    paramsData += params[i] + ",";
                }
            }
            fieldsData = fieldsData.slice(0, -1) + ")";
            paramsData = paramsData.slice(0, -1) + ")";
            sql = "REPLACE INTO " + table + fieldsData + " VALUES " + paramsData;
            return this.getDB().then(function (db) {
                return db.executeSql(sql, []).then(function (res) {
                    return res.insertId;
                }).catch(function (e) { return _this.logError(sql, e.message); });
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }
    };
    /**
    Usage:
        this.platform.ready().then(() => {
            let result = this.db.update('bookmark', {title: 'cba', date: '2018-03-23', updated: 1521415692}, {id: 10, title: 'abc'});
             result.then((ret) => {
                 console.log(ret);
             });
        });
    */
    DatabaseProvider.prototype.update = function (table, params, condition) {
        var _this = this;
        var sql = '', where = '';
        if (table && typeof (params) == 'object' && Object.keys(params).length && typeof (condition) == 'object' && Object.keys(condition).length) {
            var paramsData = "";
            for (var field in params) {
                paramsData += field + (typeof (params[field]) == 'string' ? ("='" + params[field] + "',") : ("=" + params[field] + ","));
            }
            paramsData = paramsData.substring(0, paramsData.length - 1);
            for (var field in condition) {
                where += field + (typeof (condition[field]) == 'string' ? ("='" + condition[field].replace(/\'/g, "''") + "' AND ") : ("=" + condition[field] + " AND "));
            }
            where = where.slice(0, -4);
            sql = "UPDATE " + table + " SET " + paramsData + " WHERE " + where;
            return this.getDB().then(function (db) {
                return db.executeSql(sql, []).then(function (res) {
                    return true;
                }).catch(function (e) { return _this.logError(sql, e.message); });
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }
    };
    DatabaseProvider.prototype.delete = function (table, condition) {
        var _this = this;
        var sql = '', where = '';
        if (table) {
            if (typeof (condition) == 'object' && Object.keys(condition).length) {
                for (var field in condition) {
                    where += field + (typeof (condition[field]) == 'string' ? ("='" + condition[field] + "' AND ") : ("=" + condition[field] + " AND "));
                }
                where = where.slice(0, -4);
                sql = "DELETE FROM " + table + " WHERE " + where;
            }
            else {
                sql = "DELETE FROM " + table;
            }
            return this.getDB().then(function (db) {
                return db.executeSql(sql, []).then(function (res) {
                    return true;
                }).catch(function (e) { return _this.logError(sql, e.message); });
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }
    };
    /**
    Usage:
        this.platform.ready().then(() => {
            let result = this.db.select('bookmark', '*', {id: 2});
             result.then((ret) => {
                 console.log(ret);
             });
        });
    */
    DatabaseProvider.prototype.select = function (table, fields, condition, orderBy, groupBy, limit, offset) {
        var _this = this;
        var sql = '', where = '';
        if (table) {
            if (condition) {
                if (typeof (condition) == 'string') {
                    where = condition;
                }
                else if (typeof (condition) == 'object') {
                    for (var field in condition) {
                        where += field + (typeof (condition[field]) == 'string' ? ("='" + condition[field] + "' AND ") : ("=" + condition[field] + " AND "));
                    }
                    where = where.slice(0, -4);
                }
            }
            if (where)
                sql = "SELECT " + (fields ? fields : '*') + " FROM " + table + " WHERE " + where;
            else
                sql = "SELECT " + (fields ? fields : '*') + " FROM " + table;
            if (groupBy)
                sql += " GROUP BY " + groupBy + " ";
            if (orderBy)
                sql += " ORDER BY " + orderBy + " ";
            if (limit)
                sql += " LIMIT " + limit;
            if (offset)
                sql += " OFFSET " + offset;
            // console.log(sql);
            return this.getDB().then(function (db) {
                return db.executeSql(sql, []).then(function (res) {
                    var rows = [];
                    for (var i = 0; i < res.rows.length; i++) {
                        rows[i] = res.rows.item(i);
                    }
                    return rows;
                }).catch(function (e) { return _this.logError(sql, e.message); });
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }
    };
    DatabaseProvider.prototype.getTotalPage = function (table, condition) {
        var sql = '', where = '';
        if (condition) {
            if (typeof (condition) == 'string') {
                where = condition;
            }
            else if (typeof (condition) == 'object') {
                for (var field in condition) {
                    where += field + (typeof (condition[field]) == 'string' ? ("='" + condition[field] + "' AND ") : ("=" + condition[field] + " AND "));
                }
                where = where.slice(0, -4);
            }
        }
        if (where)
            sql = "SELECT id  FROM " + table + " WHERE " + where;
        else
            sql = "SELECT id  FROM " + table;
        return this.getDB().then(function (db) {
            return db.executeSql(sql, []).then(function (res) {
                var total = res.rows.length;
                return Math.ceil(total / __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].pageSize);
            })
                .catch(function (e) { return console.error(e.message); });
        }).catch(function (e) { return console.error(e.message); });
    };
    /**
    Usage:
        this.platform.ready().then(() => {
            let result = this.db.execSql('select * from bookmark');
             result.then((ret) => {
                 console.log(ret);
             });
        });
    */
    DatabaseProvider.prototype.execSql = function (sql) {
        var _this = this;
        return this.getDB().then(function (db) {
            return db.executeSql(sql, []).then(function (res) {
                return res;
            }).catch(function (e) { return _this.logError(sql, e.message); });
        }).catch(function (e) { return _this.logError(sql, e.message); });
    };
    DatabaseProvider.prototype.count = function (table, condition) {
        var _this = this;
        var sql = '', where = '';
        if (condition) {
            if (typeof (condition) == 'string') {
                where = condition;
            }
            else if (typeof (condition) == 'object') {
                for (var field in condition) {
                    where += field + (typeof (condition[field]) == 'string' ? ("='" + condition[field] + "' AND ") : ("=" + condition[field] + " AND "));
                }
                where = where.slice(0, -4);
            }
        }
        if (where)
            sql = "SELECT COUNT(id) AS count  FROM " + table + " WHERE " + where;
        else
            sql = "SELECT COUNT(id) AS count  FROM " + table;
        return this.getDB().then(function (db) {
            return db.executeSql(sql, []).then(function (res) {
                return res.rows.item(0).count;
            })
                .catch(function (e) { return _this.logError(sql, e.message); });
        }).catch(function (e) { return _this.logError(sql, e.message); });
    };
    DatabaseProvider.prototype.getVersion = function () {
        var version = this.util.getStorage('DB_CURR_VERSION', 'string');
        //        if (version === null) {
        //            this.setVersion(version = Config.db.initVersion);
        //    }
        return version;
    };
    DatabaseProvider.prototype.setVersion = function (version) {
        this.util.setStorage('DB_CURR_VERSION', version);
        console.log("setVersion： " + version);
    };
    DatabaseProvider.prototype.dropTables = function () {
        this.getDB().then(function (db) {
            var _loop_2 = function (i) {
                var table = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.tables[i];
                var sql = "DROP TABLE " + table;
                db.executeSql(sql, []).then(function (res) {
                    console.log("Drop table 【" + table + "】 success.");
                });
            };
            for (var i in __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.tables) {
                _loop_2(i);
            }
        }).catch(function (e) { return console.log(e); });
    };
    DatabaseProvider.prototype.truncateTables = function () {
        this.getDB().then(function (db) {
            var _loop_3 = function (i) {
                var table = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.tables[i];
                var sql = "DELETE FROM " + table;
                db.executeSql(sql, []).then(function (res) {
                    console.log("DELETE FROM 【" + table + "】 success.");
                });
            };
            for (var i in __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.tables) {
                _loop_3(i);
            }
        }).catch(function (e) { return console.log(e); });
    };
    DatabaseProvider.prototype.cleanDbByRange = function (months) {
        var monthsBefore = __WEBPACK_IMPORTED_MODULE_4_moment__().subtract(months, 'month').format('YYYY-MM-DD');
        this.getDB().then(function (db) {
            var _loop_4 = function (i) {
                var table = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.cleanTables[i].name;
                var field = __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.cleanTables[i].field;
                var sql = 'DELETE FROM ' + table + " WHERE  `" + field + "` <= '" + monthsBefore + "'";
                db.executeSql(sql, []).then(function (res) {
                    console.log("Delete data from【" + table + "】success.");
                });
            };
            for (var i in __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* Config */].db.cleanTables) {
                _loop_4(i);
            }
        }).catch(function (e) { return console.log(e); });
    };
    DatabaseProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__["a" /* SQLite */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */]])
    ], DatabaseProvider);
    return DatabaseProvider;
}());

//# sourceMappingURL=database.js.map

/***/ }),

/***/ 220:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/ad/ad.module": [
		638,
		25
	],
	"../pages/attendance/attendance-month-picker.module": [
		639,
		24
	],
	"../pages/attendance/attendance.module": [
		640,
		23
	],
	"../pages/bookmark/bookmark.module": [
		641,
		22
	],
	"../pages/calendar/calendar-modal.module": [
		642,
		21
	],
	"../pages/calendar/calendar.module": [
		662,
		20
	],
	"../pages/file/file.module": [
		643,
		19
	],
	"../pages/home/home.module": [
		644,
		3
	],
	"../pages/homework/homework-detail.module": [
		645,
		18
	],
	"../pages/homework/homework.module": [
		646,
		17
	],
	"../pages/leave/leave-create.module": [
		648,
		1
	],
	"../pages/leave/leave-detail.module": [
		647,
		0
	],
	"../pages/leave/leave.module": [
		650,
		16
	],
	"../pages/message/message-detail.module": [
		649,
		15
	],
	"../pages/message/message.module": [
		660,
		14
	],
	"../pages/news/news-detail.module": [
		651,
		13
	],
	"../pages/news/news.module": [
		652,
		12
	],
	"../pages/notice/notice-detail.module": [
		663,
		11
	],
	"../pages/notice/notice.module": [
		661,
		10
	],
	"../pages/payment/payment-detail.module": [
		653,
		9
	],
	"../pages/payment/payment.module": [
		654,
		8
	],
	"../pages/school/school.module": [
		655,
		7
	],
	"../pages/search/search.module": [
		656,
		6
	],
	"../pages/setting/setting.module": [
		657,
		2
	],
	"../pages/student/student.module": [
		658,
		5
	],
	"../pages/user/reset-passwd.module": [
		659,
		4
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 220;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 31:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UpdateProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var UpdateProvider = (function () {
    function UpdateProvider(util) {
        this.util = util;
        this.setValue = function (field, value, studentId) {
            this.setUpdatedDetail(studentId || this.getStudentID(), field, value);
        };
    }
    UpdateProvider.prototype.getValue = function (field, studentId) {
        return this.getUpdatedDetail(studentId || this.getStudentID(), field) || 0;
    };
    UpdateProvider.prototype.setUpdatedDetail = function (studentId, key, value) {
        var studentDetail = this.util.getStorage('studentDetail');
        studentId = this.checkStudentId(studentId);
        this.checkStudentIdExist(studentDetail, studentId);
        studentDetail[studentId][key] = value;
        this.util.setStorage('studentDetail', studentDetail);
    };
    UpdateProvider.prototype.getUpdatedDetail = function (studentId, key) {
        var studentDetail = this.util.getStorage('studentDetail');
        studentId = this.checkStudentId(studentId);
        this.checkStudentIdExist(studentDetail, studentId);
        return studentDetail[studentId][key];
    };
    UpdateProvider.prototype.checkStudentId = function (studentId) {
        if (studentId == undefined) {
            studentId = this.getStudentID();
        }
        return studentId;
    };
    UpdateProvider.prototype.checkStudentIdExist = function (studentDetail, studentId) {
        if (typeof (studentDetail[studentId]) == 'undefined') {
            studentDetail[studentId] = {};
        }
    };
    UpdateProvider.prototype.getStudentID = function () {
        return this.util.getStorage('userDetail').currentStudentId;
    };
    UpdateProvider.prototype.setUpdatedValue = function (field, studentId, updated) {
        //            console.log('setUpdatedValue('+field+', '+studentId+', '+ updated);
        var updatedDetail = this.util.getStorage('updatedDetail') ? this.util.getStorage('updatedDetail') : {};
        if (typeof (updatedDetail[studentId]) == 'undefined') {
            updatedDetail[studentId] = {};
        }
        if (typeof (updatedDetail[studentId][field]) == 'undefined') {
            updatedDetail[studentId][field] = updated;
        }
        else {
            if (updated > updatedDetail[studentId][field])
                updatedDetail[studentId][field] = updated;
        }
        this.util.setStorage('updatedDetail', updatedDetail);
    };
    UpdateProvider.prototype.getUpdatedValue = function (studentId, field) {
        var ret = 0;
        var updatedDetail = this.util.getStorage('updatedDetail') ? this.util.getStorage('updatedDetail') : {};
        if (typeof (updatedDetail[studentId]) != 'undefined') {
            if (typeof (updatedDetail[studentId][field]) != 'undefined') {
                ret = updatedDetail[studentId][field];
            }
        }
        return ret;
    };
    UpdateProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */]])
    ], UpdateProvider);
    return UpdateProvider;
}());

//# sourceMappingURL=update.js.map

/***/ }),

/***/ 358:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PdfViewerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var ZOOM_STEP = 0.5;
var DEFAULT_ZOOM = 1;
var PdfViewerPage = (function () {
    function PdfViewerPage(navCtrl, navParams, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.displayData = {};
        this.pdfZoom = DEFAULT_ZOOM;
    }
    PdfViewerPage.prototype.ionViewDidLoad = function () {
        console.log(JSON.stringify(this.navParams));
        this.displayData = this.navParams.get('displayData');
        console.log('this.displayData =====> ' + JSON.stringify(this.displayData));
    };
    PdfViewerPage.prototype.zoomIn = function () {
        this.pdfZoom += ZOOM_STEP;
    };
    PdfViewerPage.prototype.zoomOut = function () {
        if (this.pdfZoom > DEFAULT_ZOOM) {
            this.pdfZoom -= ZOOM_STEP;
        }
    };
    PdfViewerPage.prototype.resetZoom = function () {
        this.pdfZoom = DEFAULT_ZOOM;
    };
    PdfViewerPage.prototype.onClose = function () {
        this.viewCtrl.dismiss();
    };
    PdfViewerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-pdf-viewer',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/pdf-viewer/pdf-viewer.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">PDF Viewer</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="onClose()">\n                <ion-icon name="md-close" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content fullscreen>\n    <pdf-viewer [src]="displayData.pdfSource"\n        [render-text]="true"\n        [show-all]="true"\n        [original-size]="false"\n        [zoom]="pdfZoom"\n        style="display: block">\n    </pdf-viewer>\n    		<ion-fab bottom right>\n			 <button ion-fab mini (click)="zoomIn()">\n			 	<ion-icon name="add"></ion-icon>\n			 </button>\n			<button ion-fab mini (click)="zoomOut()">\n			 	<ion-icon name="remove"></ion-icon>\n			 </button>\n			<button ion-fab mini (click)="resetZoom()">\n			 	<ion-icon name="refresh"></ion-icon>\n			 </button>\n		</ion-fab>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/pdf-viewer/pdf-viewer.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], PdfViewerPage);
    return PdfViewerPage;
}());

//# sourceMappingURL=pdf-viewer.js.map

/***/ }),

/***/ 371:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SchoolProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var SchoolProvider = (function () {
    function SchoolProvider(util) {
        this.util = util;
    }
    SchoolProvider.prototype.getIdByStudentId = function (studentId) {
        var studentDetail = this.util.getStorage('studentDetail') ? this.util.getStorage('studentDetail') : {};
        if (typeof (studentDetail[studentId]) != 'undefined')
            return studentDetail[studentId].school.id;
    };
    SchoolProvider.prototype.checkIsSame = function (studentId, schoolId) {
        var tempCurrentSchoolData = this.util.getStorage('tempCurrentSchoolData') ? this.util.getStorage('tempCurrentSchoolData') : {};
        if (!Object.keys(tempCurrentSchoolData).length) {
            if (typeof (tempCurrentSchoolData[studentId]) == 'undefined') {
                tempCurrentSchoolData[studentId] = {};
            }
            tempCurrentSchoolData[studentId]['schoolId'] = schoolId;
            this.util.setStorage('tempCurrentSchoolData', tempCurrentSchoolData);
            return false;
        }
        else {
            for (var key in tempCurrentSchoolData) {
                if (tempCurrentSchoolData[key].schoolId == schoolId) {
                    return true;
                }
                else {
                    if (typeof (tempCurrentSchoolData[studentId]) == 'undefined') {
                        tempCurrentSchoolData[studentId] = {};
                    }
                    tempCurrentSchoolData[studentId]['schoolId'] = schoolId;
                    this.util.pushStorage('tempCurrentSchoolData', tempCurrentSchoolData);
                    return false;
                }
            }
        }
    };
    SchoolProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */]])
    ], SchoolProvider);
    return SchoolProvider;
}());

//# sourceMappingURL=school.js.map

/***/ }),

/***/ 379:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SigninPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_student_student__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__signup__ = __webpack_require__(380);
/**
 * User signin controller
 *
 * @package src.pages.user
 * @author Jerry <darkroad109@gmail.com>
 * @created 2018-03-14
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var SigninPage = (function () {
    function SigninPage(formBuilder, nav, alertCtrl, translate, util, user, student, app, events) {
        this.formBuilder = formBuilder;
        this.nav = nav;
        this.alertCtrl = alertCtrl;
        this.translate = translate;
        this.util = util;
        this.user = user;
        this.student = student;
        this.app = app;
        this.events = events;
        this.passwdType = 'password';
        this.signinForm = formBuilder.group({
            areaCode: ['852', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])],
            tel: ['', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])],
            password: ['', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])]
        });
        this.areaCode = this.signinForm.controls['areaCode'];
        this.tel = this.signinForm.controls['tel'];
        this.password = this.signinForm.controls['password'];
    }
    // User signin
    SigninPage.prototype.doSignin = function (params) {
        var _this = this;
        if (params.tel == "" || params.tel == "undefined") {
            this.util.showAlert('error', this.translate.instant('signinPage.do.notel'));
        }
        else if (params.password == "" || params.password == "undefined") {
            this.util.showAlert('error', this.translate.instant('signinPage.do.nopasswd'));
        }
        else if (params.areaCode == "" || params.areaCode == "undefined") {
            this.util.showAlert('error', this.translate.instant('signinPage.do.noareacode'));
        }
        else {
            // 显示加载按钮
            this.util.showLoading();
            // 登录
            this.user.signin(params.areaCode, params.tel, params.password)
                .subscribe(function (res) {
                var data = res.json();
                // 是否第一次启动应用
                var firstLaunch = _this.util.checkFirstLaunch();
                if (data.code == 1) {
                    var userDetail = {
                        'id': data.profile.id,
                        'name': data.profile.name,
                        'tel': data.profile.tel,
                        'areaCode': data.profile.areaCode,
                        'sessionKey': data.sessionKey,
                        'isLogin': true,
                        'currentStudentId': data.user.students[0].id,
                        'updated': firstLaunch ? 0 : data.profile.updated
                    };
                    _this.util.pushStorage('app', { firstLaunch: false });
                    // 用户信息
                    _this.util.setStorage('userDetail', userDetail);
                    // 保存学生信息
                    var resultStudent = data.user.students;
                    for (var key in resultStudent) {
                        _this.student.setStudentDetail(resultStudent[key]);
                        // save records into local db
                        if (resultStudent[key].msg != 'undefined') {
                            _this.student.saveRecordsMsg(resultStudent[key].msg);
                        }
                        if (resultStudent[key].ntc != 'undefined') {
                            _this.student.saveRecordsNtc(resultStudent[key].ntc);
                        }
                        if (resultStudent[key].att != 'undefined') {
                            _this.student.saveRecords('attendance', resultStudent[key].att);
                        }
                        if (resultStudent[key].hwk != 'undefined') {
                            _this.student.saveRecords('homework', resultStudent[key].hwk);
                        }
                    }
                    // 初始化用户数据
                    _this.user.init();
                    _this.events.publish('signinSuccess');
                    _this.app.getRootNav().setRoot('HomePage');
                }
                else {
                    _this.util.showAlert('error', data.msg);
                }
                // 隐藏加载按钮
                _this.util.hideLoading();
            });
        }
    };
    SigninPage.prototype.openForgotPage = function () {
        this.util.openUrl(__WEBPACK_IMPORTED_MODULE_7__app_app_config__["a" /* Config */].forgotPasswordPage);
    };
    SigninPage.prototype.openSignupPage = function () {
        this.nav.push(__WEBPACK_IMPORTED_MODULE_8__signup__["a" /* SignupPage */]);
    };
    SigninPage.prototype.showPasswd = function (event) {
        if (event.checked)
            this.passwdType = 'text';
        else
            this.passwdType = 'password';
    };
    SigninPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-sigin',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signin.html"*/'<ion-content padding class="page-bg">\n    <div class="auth-content">\n        <!-- Logo -->\n        <div padding-vertical text-center>\n            <span ion-text class="fw700">{{\'global.title\' | translate}}</span>\n            <div class="logo">\n                <img src="assets/imgs/logo_text_white.png" width="90%" />\n            </div>\n        </div>\n        <div id="signin-form">\n            <form class="list-form" [formGroup]="signinForm" (submit)="doSignin(signinForm.value)">\n                <ion-list>\n                    <ion-item id="tel">\n                        <ion-input placeholder="{{\'signinPage.placeholder.areaCode\' | translate}}" formControlName="areaCode" type="number" class="area-code"></ion-input>\n                        <ion-input placeholder="{{\'signinPage.placeholder.tel\' | translate}}" formControlName="tel" type="number" class="p-l-s"></ion-input>\n                    </ion-item>\n                    <ion-item id="passwd">\n                        <ion-input type="{{passwdType}}" placeholder="{{\'signinPage.placeholder.password\' | translate}}" formControlName="password"></ion-input>\n                    </ion-item>\n                </ion-list>\n                <div class="row">\n                    <div float-left class="forget-passwd" style="width: 50%;display: flex;">\n                        <ion-checkbox (ionChange)="showPasswd($event)"></ion-checkbox>\n                        <ion-label style="margin-top:0;padding-left: 5px;">{{\'signinPage.showPasswd\' | translate}}</ion-label>\n                    </div>\n                    <div float-right class="forget-passwd" (click)="openForgotPage()" style="width: 50%; text-align: right;">\n                        <span class="tip-signin">{{\'signinPage.forget\' | translate}}</span>\n                    </div>\n                </div>\n\n                <button ion-button block type="submit" color="blue" [disabled]="!signinForm.valid" style="margin-top: 10px;">{{ \'signinPage.btn\' | translate }}</button>\n            </form>\n        </div>\n\n        <p>{{\'signinPage.noaccount\' | translate}}，<span (click)="openSignupPage()" class="tip-signin fw500">{{\'signinPage.signup\' | translate}}</span></p>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signin.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_6__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_student_student__["a" /* StudentProvider */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["Events"]])
    ], SigninPage);
    return SigninPage;
}());

//# sourceMappingURL=signin.js.map

/***/ }),

/***/ 380:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__signup_detail__ = __webpack_require__(381);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SignupPage = (function () {
    function SignupPage(formBuilder, util, nav, translate, user) {
        this.formBuilder = formBuilder;
        this.util = util;
        this.nav = nav;
        this.translate = translate;
        this.user = user;
        this.signupForm = formBuilder.group({
            signupCode: ['', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])]
        });
    }
    SignupPage.prototype.checkSignupCode = function (params) {
        var _this = this;
        if (params.signupCode == "" || params.signupCode == "undefined") {
            this.util.showAlert('error', this.translate.instant('signupPage.do.nocode'));
        }
        else {
            // 显示加载按钮
            this.util.showLoading();
            // 检查登记码
            this.user.checkSignupCode(params.signupCode)
                .subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    var studentInfo = {
                        schoolName: data.user.students[0].school.name,
                        schoolNameEn: data.user.students[0].school.enName,
                        studentId: data.user.students[0].school.id,
                        studentName: data.user.students[0].studentName,
                        parentName: data.user.name,
                        areaCode: data.user.areaCode,
                        tel: data.user.tel,
                        userId: data.user.id
                    };
                    _this.nav.push(__WEBPACK_IMPORTED_MODULE_7__signup_detail__["a" /* SignupDetailPage */], { studentInfo: studentInfo });
                }
                else {
                    _this.util.showAlert('error', data.msg);
                }
                // 隐藏加载按钮
                _this.util.hideLoading();
            });
        }
    };
    SignupPage.prototype.openUrl = function (page) {
        var url;
        if (page == 'privacyPage')
            url = __WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].privacyPage;
        else if (page == 'faqPage')
            url = __WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].faqPage;
        this.util.openUrl(url);
    };
    SignupPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-signup',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signup.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'signupPage.signupCode\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content padding class="page-bg">\n    <div class="auth-content">\n        <!-- Logo -->\n        <div padding-vertical text-center>\n            <span class="fw700">{{\'global.title\' | translate}}</span>\n            <div class="logo">\n                <img src="assets/imgs/logo_text_white.png" width="65%" />\n            </div>\n            <div class="tip" padding-vertical text-left>\n                <ion-icon name="ios-information-circle-outline"></ion-icon> {{\'signupPage.tip\' | translate}}\n            </div>\n        </div>\n\n        <div id="signup-form">\n            <form class="list-form"  [formGroup]="signupForm" (submit)="checkSignupCode(signupForm.value)">\n                <ion-list>\n                    <div class="tip-code">{{\'signupPage.placeholder.code\' | translate}} <b class="required">*</b></div>\n                    <ion-item id="code">\n                        <ion-input placeholder="{{\'signupPage.placeholder.code\' | translate}}" type="number" formControlName="signupCode"></ion-input>\n                    </ion-item>\n                </ion-list>\n                <div class="remark" padding-bottom>\n                    <p>{{\'signupPage.agree\' | translate}} <a href="#" (click)="openUrl(\'privacyPage\')">{{\'signupPage.privacy\' | translate}}</a></p>\n                    <p>{{\'signupPage.question\' | translate}}<a href="#" (click)="openUrl(\'faqPage\')">{{\'signupPage.faq\' | translate}}</a></p>\n                </div>\n                <button ion-button block type="submit" color="blue" [disabled]="!signupForm.valid">{{ \'signupPage.btnNext\' | translate }}</button>\n            </form>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signup.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_user__["a" /* UserProvider */]])
    ], SignupPage);
    return SignupPage;
}());

//# sourceMappingURL=signup.js.map

/***/ }),

/***/ 381:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignupDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_student_student__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var SignupDetailPage = (function () {
    function SignupDetailPage(formBuilder, util, nav, translate, user, navParams, student, app, events) {
        this.formBuilder = formBuilder;
        this.util = util;
        this.nav = nav;
        this.translate = translate;
        this.user = user;
        this.navParams = navParams;
        this.student = student;
        this.app = app;
        this.events = events;
        this.studentInfo = {};
        this.signupForm = formBuilder.group({
            password: ['', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])],
            userId: ['', __WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"].required])]
        });
        this.studentInfo = this.navParams.get("studentInfo");
    }
    SignupDetailPage.prototype.doSignup = function (params) {
        var _this = this;
        if (params.password == "" || params.password == "undefined") {
            this.util.showAlert('error', this.translate.instant('signupPage.do.nopasswd'));
        }
        else {
            // 显示加载按钮
            this.util.showLoading();
            // 注册
            this.user.signup(params.userId, params.password)
                .subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    // this.nav.setRoot(SigninPage);
                    _this.doSignin({ areaCode: data.profile.areaCode, tel: data.profile.tel, password: params.password });
                }
                else {
                    _this.util.showAlert('error', data.msg);
                }
                // 隐藏加载按钮
                _this.util.hideLoading();
            });
        }
    };
    SignupDetailPage.prototype.openUrl = function (url) {
        this.util.openUrl(url);
    };
    SignupDetailPage.prototype.doSignin = function (params) {
        var _this = this;
        this.user.signin(params.areaCode, params.tel, params.password).subscribe(function (res) {
            var data = res.json();
            // 是否第一次启动应用
            var firstLaunch = _this.util.checkFirstLaunch();
            if (data.code == 1) {
                var userDetail = {
                    'id': data.profile.id,
                    'name': data.profile.name,
                    'tel': data.profile.tel,
                    'areaCode': data.profile.areaCode,
                    'sessionKey': data.sessionKey,
                    'isLogin': true,
                    'currentStudentId': data.user.students[0].id,
                    'updated': firstLaunch ? 0 : data.profile.updated
                };
                _this.util.pushStorage('app', { firstLaunch: false });
                // 用户信息
                _this.util.setStorage('userDetail', userDetail);
                // 保存学生信息
                var resultStudent = data.user.students;
                for (var key in resultStudent) {
                    _this.student.setStudentDetail(resultStudent[key]);
                }
                // 初始化本地数据库
                _this.user.init();
                _this.events.publish('signinSuccess');
                _this.app.getRootNav().setRoot('HomePage');
            }
            else {
                _this.util.showAlert('error', data.msg);
            }
        });
    };
    SignupDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-signup-detail',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signup-detail.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'signupPage.signupConfirm\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content padding class="page-bg">\n    <div class="auth-content">\n        <!-- Logo -->\n        <div padding-vertical text-center>\n            <span class="fw700">{{\'global.title\' | translate}}</span>\n            <div padding-bottom>\n                <img src="assets/imgs/logo_text_white.png" width="65%" />\n            </div>\n            <div class="tip" text-left>\n                <ion-icon name="ios-information-circle-outline"></ion-icon> {{\'signupPage.confirmInfo\' | translate}}\n            </div>\n        </div>\n\n        <div class="confirm-info">\n        	<ion-list>\n	        	<ion-item>\n	        		{{studentInfo.schoolName}}\n	                <br>\n	                {{studentInfo.schoolNameEn}}\n	            </ion-item>\n	            <ion-item>\n	               	{{\'signupPage.student\' | translate}}:\n	                {{studentInfo.studentName}}\n	            </ion-item>\n	            <ion-item>\n	                {{\'signupPage.parent\' | translate}}:\n	                {{studentInfo.parentName}}\n	            </ion-item>\n	            <ion-item>\n	                {{\'signupPage.phone\' | translate}}: \n	                {{studentInfo.areaCode}} - {{studentInfo.tel}}\n	            </ion-item>\n        	</ion-list>\n        </div>\n\n        <div id="signup-form">\n            <form class="list-form" [formGroup]="signupForm" (submit)="doSignup(signupForm.value)">\n            	<ion-input type="hidden" value="{{studentInfo.userId}}" formControlName="userId"></ion-input>\n                <ion-list padding-bottom>\n                    <div class="tip-code">{{\'signupPage.customizePassword\' | translate}} <b class="required">*</b></div>\n                    <ion-item id="password">\n                        <ion-input placeholder="{{\'signupPage.customizePassword\' | translate}}" type="password" formControlName="password"></ion-input>\n                    </ion-item>\n                </ion-list>\n                <button ion-button block type="submit" color="blue">{{ \'signupPage.confirm\' | translate }}</button>\n            </form>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/user/signup-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_6__providers_student_student__["a" /* StudentProvider */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["Events"]])
    ], SignupDetailPage);
    return SignupDetailPage;
}());

//# sourceMappingURL=signup-detail.js.map

/***/ }),

/***/ 433:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BookmarkProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_news_news__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_message_message__ = __webpack_require__(91);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_homework_homework__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_notice_notice__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__app_app_config__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var BookmarkProvider = (function () {
    function BookmarkProvider(db, platform, user, news, homework, notice, message) {
        this.db = db;
        this.platform = platform;
        this.user = user;
        this.news = news;
        this.homework = homework;
        this.notice = notice;
        this.message = message;
        this.currentStudentId = this.user.getCurrentStudentId();
    }
    BookmarkProvider.prototype.check = function (module, id) {
        return this.db.count('bookmark', { refId: id, studentId: this.currentStudentId, type: module });
    };
    BookmarkProvider.prototype.add = function (module, id) {
        var _this = this;
        this.platform.ready().then(function () {
            switch (module) {
                case "message":
                    _this.message.getItem(id).then(function (ret) {
                        var item = {}, data = ret[0];
                        item['id'] = 'NULL';
                        item['studentId'] = data.studentId;
                        item['type'] = 'message';
                        item['refId'] = data.id;
                        item['title'] = data.content;
                        item['date'] = data.publishDate;
                        item['updated'] = data.updated;
                        _this.db.replace('bookmark', item);
                    });
                    break;
                case "notice":
                    _this.notice.getItem(id).then(function (ret) {
                        var item = {}, data = ret[0];
                        item['id'] = 'NULL';
                        item['studentId'] = data.studentId;
                        item['type'] = 'notice';
                        item['refId'] = data.id;
                        item['title'] = data.title;
                        item['date'] = data.publishDate;
                        item['updated'] = data.updated;
                        _this.db.replace('bookmark', item);
                    });
                    break;
                case "homework":
                    _this.homework.getItem(id).then(function (ret) {
                        var item = {}, data = ret[0];
                        item['id'] = 'NULL';
                        item['studentId'] = data.studentId;
                        item['type'] = 'homework';
                        item['refId'] = data.id;
                        item['title'] = data.title;
                        item['date'] = data.publishDate;
                        item['updated'] = data.updated;
                        _this.db.replace('bookmark', item);
                    });
                    break;
                case "news":
                    _this.news.getItem(id).then(function (ret) {
                        var item = {}, data = ret[0];
                        item['id'] = 'NULL';
                        item['studentId'] = data.studentId;
                        item['type'] = 'news';
                        item['refId'] = data.id;
                        item['title'] = data.title;
                        item['date'] = data.publishDate;
                        item['updated'] = data.updated;
                        _this.db.replace('bookmark', item);
                    });
                    break;
            }
        });
    };
    BookmarkProvider.prototype.del = function (module, id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.db.delete('bookmark', { refId: id, type: module, studentId: _this.currentStudentId });
        });
    };
    BookmarkProvider.prototype.getTotalPage = function () {
        return this.db.getTotalPage('bookmark', 'studentId = ' + this.currentStudentId);
    };
    BookmarkProvider.prototype.getItemsFromLocalDb = function (page) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_8__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        return this.db.select('bookmark', '*', 'studentId = ' + this.currentStudentId, ' id DESC', null, pageSize, offset);
    };
    BookmarkProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_7__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_news_news__["a" /* NewsProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_homework_homework__["a" /* HomeworkProvider */],
            __WEBPACK_IMPORTED_MODULE_6__providers_notice_notice__["a" /* NoticeProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_message_message__["a" /* MessageProvider */]])
    ], BookmarkProvider);
    return BookmarkProvider;
}());

//# sourceMappingURL=bookmark.js.map

/***/ }),

/***/ 436:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(376);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(377);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(128);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_device__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_badge__ = __webpack_require__(378);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_student_student__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_user_signin__ = __webpack_require__(379);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_fcm__ = __webpack_require__(382);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













// import { JPush } from '@jiguang-ionic/jpush';


var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen, translate, storage, device, util, db, student, user, 
        // public jpush: JPush,
        events, badge, modal, fcm, toastCtrl, alert) {
        var _this = this;
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.translate = translate;
        this.storage = storage;
        this.device = device;
        this.util = util;
        this.db = db;
        this.student = student;
        this.user = user;
        this.events = events;
        this.badge = badge;
        this.modal = modal;
        this.fcm = fcm;
        this.toastCtrl = toastCtrl;
        this.alert = alert;
        this.isLogin = false;
        this.isShowPushMsg = false;
        this.isShowLogout = false;
        this.currLang = 'zh-TW';
        this.TIME_IN_MS = 10000;
        // 获取系统语言
        this.currLang = this.util.getStorage('sysData') ? this.util.getStorage('sysData').lang : 'zh-TW';
        this.translate.setDefaultLang(this.currLang);
        events.subscribe('signinSuccess', function () {
            _this.initSideMenuUserInfo();
            _this.initSideMenu();
            _this.initPush();
        });
        events.subscribe('switchLanguage', function (currLang) {
            _this.translate.use(currLang).subscribe(function () {
                // 初始化侧边栏菜单
                _this.initSideMenu();
            });
        });
        events.subscribe('setDesktopBadge', function () {
            _this.setDesktopBadge(0);
        });
        events.subscribe('checkUpdate', function (version) {
            if (version)
                _this.checkUpdate();
            else
                console.log('event checkUpdate NULL');
        });
        events.subscribe('switchStudent', function (currentStudentId) {
            console.log('app switchStudent =====> ' + currentStudentId);
            // 获取默认学生信息
            var defaultStudent = _this.student.getStudentDataById(currentStudentId);
            _this.defaultStudentInfo = {
                'studentName': defaultStudent.name,
                'groupName': defaultStudent.groupName,
                'classNo': defaultStudent.classNo,
                'studentAvatar': defaultStudent.avatar,
                'schoolName': defaultStudent.schoolName
            };
        });
        events.subscribe('preSignout', function () {
            _this.preSignout();
        });
        // 初始化APP
        this.initializeApp();
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            _this.initSystemInfo();
            // 判断是否已经登录
            var userDetail = _this.util.getStorage('userDetail');
            console.log('userDetail = ' + JSON.stringify(userDetail));
            // 是否第一次启动应用
            var firstLaunch = _this.util.checkFirstLaunch();
            if (firstLaunch) {
                _this.util.removeAllStorage();
                _this.db.rebuild();
                _this.uuidSignin();
            }
            else if (userDetail) {
                _this.rootPage = 'HomePage';
                _this.initSideMenuUserInfo();
                console.log('existing user wait 3 second then initPush');
                setTimeout(function () {
                    _this.initPush();
                }, 3000);
            }
            else {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_12__pages_user_signin__["a" /* SigninPage */];
            }
            _this.badge.set(0);
            _this.statusBar.styleDefault();
            setTimeout(function () {
                _this.splashScreen.hide();
            }, 1000);
            // 初始化语言
            _this.initTranslate();
            // 初始化数据库
            _this.db.init();
            // 初始化弹出广告
            _this.initAd();
        }); // this.platform.ready() end
    }; // initializeApp end
    // UUID快速登录
    MyApp.prototype.uuidSignin = function () {
        var _this = this;
        var userDetail = this.util.getStorage('userDetail');
        var sysData = this.util.getStorage('sysData');
        console.log('uuidSignin sysData ========> ' + JSON.stringify(sysData));
        if (sysData.deviceId == 'abc123') {
            console.log('uuidSignin deviceId not ready wait 3 second to retry');
            setTimeout(function () {
                _this.uuidSignin();
            }, 3000);
        }
        else if (!userDetail) {
            this.user.uuidSignin(sysData).subscribe(function (res) {
                console.log('UUID Login Return string ========> ' + res);
                var data = res.json();
                console.log('UUID Login Return ========> ' + JSON.stringify(data));
                if (data.code == 1) {
                    var userDetail_1 = {
                        'id': data.profile.id,
                        'name': data.profile.name,
                        'tel': data.profile.tel,
                        'areaCode': data.profile.areaCode,
                        'sessionKey': data.sessionKey,
                        'isLogin': true,
                        'currentStudentId': data.user.students[0].id,
                        'updated': 0
                    };
                    _this.util.pushStorage('app', { firstLaunch: false });
                    // 用户信息
                    _this.util.setStorage('userDetail', userDetail_1);
                    // 保存学生信息
                    var resultStudent = data.user.students;
                    for (var key in resultStudent) {
                        _this.student.setStudentDetail(resultStudent[key]);
                        // save records into local db
                        if (resultStudent[key].msg != 'undefined') {
                            _this.student.saveRecordsMsg(resultStudent[key].msg);
                        }
                        if (resultStudent[key].ntc != 'undefined') {
                            _this.student.saveRecordsNtc(resultStudent[key].ntc);
                        }
                    }
                    _this.rootPage = 'HomePage';
                    _this.initSideMenuUserInfo();
                    _this.initSideMenu();
                    console.log('uuid success wait 3 second then initFcm');
                    setTimeout(function () {
                        _this.initPush();
                    }, 3000);
                }
                else {
                    _this.rootPage = __WEBPACK_IMPORTED_MODULE_12__pages_user_signin__["a" /* SigninPage */];
                }
            });
        }
    };
    // 初始化推送
    MyApp.prototype.initPush = function () {
        if (this.device.platform.toLowerCase() == 'android') {
            this.initFcm();
        }
        else {
            // this.initJPush();
        }
    };
    MyApp.prototype.initFcm = function () {
        var _this = this;
        if (typeof (this.fcm) != 'undefined') {
            this.fcm.getToken().then(function (token) {
                console.log('fcm.getToken = ' + token);
                if (token) {
                    _this.util.setStorage('deviceToken', token);
                    _this.user.setPushSDK('fcm');
                    _this.user.setToken(token).subscribe(function (res) {
                        console.log('setToken return = ' + JSON.stringify(res));
                        var data = res.json();
                        if (data.code == 0) {
                            // this.initJPush();
                        }
                    });
                }
                else {
                    // this.initJPush();
                }
            }).catch(function (e) {
                console.log('fcm.getToken() error = ' + JSON.stringify(e));
            });
            this.fcm.onTokenRefresh().subscribe(function (token) {
                console.log('fcm.onTokenRefresh = ' + token);
                _this.util.setStorage('deviceToken', token);
                _this.user.setPushSDK('fcm');
                _this.user.setToken(token).subscribe(function (res) {
                    console.log('setToken return = ' + JSON.stringify(res));
                });
            });
            this.fcm.onNotification().subscribe(function (data) {
                if (data.wasTapped) {
                    console.log("Received in background = " + JSON.stringify(data));
                }
                else {
                    console.log("Received in foreground = " + JSON.stringify(data));
                }
                _this.platform.ready().then(function () {
                    _this.user.init();
                    _this.showPushMsg(data.pushType, data.payload, data.pushMsg);
                    _this.setDesktopBadge(1);
                });
            });
        }
    };
    // phone desktop
    MyApp.prototype.setDesktopBadge = function (onTop) {
        var updateBadge = this.util.getStorage('updateBadge') || {};
        var studentId = this.util.getCurrentStudentId() || 0;
        var badge = onTop;
        if (typeof (updateBadge[studentId]) != 'undefined') {
            for (var key in updateBadge[studentId]) {
                badge += parseInt(updateBadge[studentId][key]);
            }
        }
        console.log('setDesktopBadge total= ' + badge);
        this.badge.set(badge);
    };
    MyApp.prototype.checkUpdate = function () {
        var _this = this;
        this.platform.ready().then(function () {
            var sysData = _this.util.getStorage('sysData');
            var platform = sysData.deviceType.toLowerCase();
            var localVersionCode = __WEBPACK_IMPORTED_MODULE_13__app_config__["a" /* Config */].versionCode;
            var remoteVersion = _this.util.getVersion();
            console.log('checkUpdate localVersionCode=' + localVersionCode + ' remoteVersion=' + remoteVersion[platform]['versionCode']);
            if (localVersionCode < remoteVersion[platform]['versionCode']) {
                var confirm_1 = _this.alert.create({
                    title: _this.translate.instant('global.upgradeTips'),
                    message: remoteVersion[platform]['updateDescription'] + '<BR>' + remoteVersion[platform]['versionName'] + '<BR>' + remoteVersion[platform]['publishDate'],
                    buttons: [
                        {
                            text: _this.translate.instant('global.cancel')
                        },
                        {
                            text: _this.translate.instant('global.upgradeNow'),
                            handler: function () {
                                _this.util.openUrl(remoteVersion[platform]['latestRelease']);
                            }
                        }
                    ]
                });
                confirm_1.present();
            }
        });
    };
    MyApp.prototype.initSystemInfo = function () {
        // 获取设备ID
        var deviceId = this.device.uuid ? this.device.uuid : 'abc123', model = this.device.model ? this.device.model : 'iPhone9,1', version = this.device.version ? this.device.version : '11.2.6', deviceType = this.device.platform ? this.device.platform : 'iOS';
        var sysData = { 'deviceId': deviceId, 'model': model, 'version': version, 'deviceType': deviceType, 'lang': this.currLang };
        this.util.setStorage('sysData', sysData);
        console.log('initSystemInfo sysData=' + JSON.stringify(sysData));
    };
    MyApp.prototype.initSideMenuUserInfo = function () {
        // 获取默认学生信息
        var currentStudentId = this.util.getCurrentStudentId();
        var defaultStudent = this.student.getStudentDataById(currentStudentId);
        this.defaultStudentInfo = {
            'studentName': defaultStudent.name,
            'groupName': defaultStudent.groupName,
            'classNo': defaultStudent.classNo,
            'studentAvatar': defaultStudent.avatar,
            'schoolName': defaultStudent.schoolName
        };
        this.isLogin = true;
    };
    MyApp.prototype.initTranslate = function () {
        var _this = this;
        // 参数类型为数组，数组元素为本地语言json配置文件名
        this.translate.addLangs(["zh-CN", "zh-TW", "en"]);
        // 设置默认语言
        this.translate.setDefaultLang(this.currLang);
        this.translate.use(this.currLang)
            .subscribe(function () {
            // 初始化侧边栏菜单
            _this.initSideMenu();
        });
    };
    MyApp.prototype.initSideMenu = function () {
        var modules = this.util.getModules();
        modules.push('calendar'); // 校历模块一直显示
        modules.push('bookmark');
        //modules.push('schoolInfo');
        modules.push('student');
        modules.push('setting');
        var allModules = [
            { text: this.translate.instant('sideMenu.message'), link: 'MessagePage', icon: 'mail', name: 'message' },
            { text: this.translate.instant('sideMenu.notice'), link: 'NoticePage', icon: 'list-box', name: 'notice' },
            { text: this.translate.instant('sideMenu.attendance'), link: 'AttendancePage', icon: 'time', name: 'attendance' },
            { text: this.translate.instant('sideMenu.file'), link: 'FilePage', icon: 'book', name: 'file' },
            { text: this.translate.instant('sideMenu.homework'), link: 'HomeworkPage', icon: 'clipboard', name: 'homework' },
            { text: this.translate.instant('sideMenu.payment'), link: 'PaymentPage', icon: 'cash', name: 'payment' },
            { text: this.translate.instant('sideMenu.leave'), link: 'LeavePage', icon: 'open', name: 'leave' },
            { text: this.translate.instant('sideMenu.news'), link: 'NewsPage', icon: 'volume-up', name: 'news' },
            { text: this.translate.instant('sideMenu.calendar'), link: 'CalendarPage', icon: 'calendar', name: 'calendar' },
            { text: this.translate.instant('sideMenu.bookmark'), link: 'BookmarkPage', icon: 'star', name: 'bookmark' },
            //  {text: this.translate.instant('sideMenu.schoolInfo'), link: 'SchoolPage', icon: 'book', name: 'schoolInfo'},
            { text: this.translate.instant('sideMenu.student'), link: 'StudentPage', icon: 'people', name: 'student' },
            { text: this.translate.instant('sideMenu.setting'), link: 'SettingPage', icon: 'settings', name: 'setting' }
        ];
        var enableModules = [];
        for (var i in allModules) {
            if (this.util.inArray(allModules[i].name, modules)) {
                enableModules.push(allModules[i]);
            }
        }
        this.pages = enableModules;
    };
    MyApp.prototype.openPage = function (page) {
        //this.nav.setRoot(page.component);
        this.nav.push(page.link);
    };
    MyApp.prototype.openHomePage = function () {
        this.nav.setRoot('HomePage');
    };
    MyApp.prototype.preSignout = function () {
        var _this = this;
        if (this.isShowLogout) {
            return;
        }
        var alertCtrl = this.alert.create({
            title: 'SchoolApp',
            message: this.translate.instant('global.dataErrorMsg'),
            buttons: [
                {
                    text: this.translate.instant('global.cancel'),
                    handler: function () {
                        _this.isShowLogout = false;
                    }
                },
                {
                    text: this.translate.instant('global.confirm'),
                    handler: function () {
                        _this.isShowLogout = false;
                        _this.doSignout();
                    }
                }
            ],
            cssClass: 'alert-box'
        });
        alertCtrl.present();
        this.isShowLogout = true;
    };
    MyApp.prototype.doSignout = function () {
        var _this = this;
        var alertCtrl = this.alert.create({
            title: 'SchoolApp',
            message: this.translate.instant('global.confirmSignout'),
            buttons: [
                {
                    text: this.translate.instant('global.cancel')
                },
                {
                    text: this.translate.instant('global.confirm'),
                    handler: function () {
                        _this.user.logout().subscribe(function (res) {
                            _this.util.removeAllStorage();
                            _this.db.rebuild();
                        });
                        _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_12__pages_user_signin__["a" /* SigninPage */]);
                    }
                }
            ],
            cssClass: 'alert-box'
        });
        alertCtrl.present();
    };
    MyApp.prototype.initAd = function () {
        var app = this.util.getStorage('app');
        console.log('initAd app = ' + JSON.stringify(app));
        if (app != undefined) {
            if ('promotion' in app) {
                if (app.promotion.img != undefined)
                    this.modal.create('AdPage').present();
            }
        }
    };
    MyApp.prototype.showPushMsg = function (pushType, id, content) {
        var _this = this;
        if (this.isShowPushMsg) {
            return;
        }
        var alertCtrl = this.alert.create({
            title: 'SchoolApp',
            message: content,
            buttons: [
                {
                    text: this.translate.instant('global.cancel'),
                    handler: function () {
                        _this.isShowPushMsg = false;
                    }
                },
                {
                    text: this.translate.instant('global.view'),
                    handler: function () {
                        var modulePage = _this.util.getModulePage(pushType, id);
                        _this.isShowPushMsg = false;
                        if (id)
                            _this.nav.push(modulePage, { id: id, source: 'push' });
                        else
                            _this.nav.push(modulePage);
                    }
                }
            ],
            cssClass: 'alert-box'
        });
        this.isShowPushMsg = true;
        alertCtrl.present();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Nav"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Nav"])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/app/app.html"*/'<ion-menu [content]="content" class="menu-bg" *ngIf="isLogin">\n    <ion-header>\n        <ion-toolbar class="user-profile profiles-bg">\n            <div class="user-profile">\n                <ion-list no-margin>\n                    <ion-item>\n                        <ion-avatar item-left style="margin:24px 16px 10px 0;">\n                            <img src="{{defaultStudentInfo?.studentAvatar}}">\n                        </ion-avatar>\n                        <h3 ion-text margin-top class="text-white">{{defaultStudentInfo?.schoolName}}</h3>\n                        <p ion-text class="text-white fw700 text-15x">{{defaultStudentInfo?.studentName}}（{{defaultStudentInfo?.groupName}}）</p>\n                    </ion-item>\n                </ion-list>\n\n                <ion-grid no-padding>\n                    <ion-row class="other-data">\n                        <ion-col text-center class="column">\n                            <button ion-button icon-start full menuClose no-margin color="dark" (click)="openHomePage()">\n                                <ion-icon name="home"></ion-icon>\n                                {{\'sideMenu.home\' | translate}}\n                            </button>\n                        </ion-col>\n                        <ion-col text-center class="column">\n                            <button ion-button icon-start full menuClose no-margin color="dark" (click)="doSignout()">\n                                <ion-icon name="log-out"></ion-icon>\n                                {{\'global.signout\' | translate}}\n                             </button>\n                        </ion-col>\n                    </ion-row>\n                </ion-grid>\n            </div>\n        </ion-toolbar>\n    </ion-header>\n\n    <ion-content>\n        <ion-list>\n            <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)" class="bigText">\n                <ion-icon item-left name="{{p.icon}}"></ion-icon>\n                {{p.text}}\n            </button>\n          <!--\n          <button menuClose ion-item (click)="doSignout()">\n            <ion-icon item-left name="log-out"></ion-icon>\n            {{\'global.signout\' | translate}}\n          </button>-->\n        </ion-list>\n    </ion-content>\n</ion-menu>\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_7__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_device__["a" /* Device */],
            __WEBPACK_IMPORTED_MODULE_8__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_9__providers_database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_10__providers_student_student__["a" /* StudentProvider */],
            __WEBPACK_IMPORTED_MODULE_11__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_badge__["a" /* Badge */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_14__ionic_native_fcm__["a" /* FCM */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 437:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(438);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(445);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 445:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export createTranslateLoader */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(436);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_sqlite__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__ = __webpack_require__(376);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_splash_screen__ = __webpack_require__(377);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_storage__ = __webpack_require__(128);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_device__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_network__ = __webpack_require__(229);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_badge__ = __webpack_require__(378);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__angular_common_http__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__angular_http__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ngx_translate_http_loader__ = __webpack_require__(435);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__providers_homework_homework__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__providers_message_message__ = __webpack_require__(91);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__libs_file__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ionic_native_file_transfer__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__ionic_native_file_opener__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__ionic_native_file__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__providers_payment_payment__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pipes_pipes_module__ = __webpack_require__(597);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__providers_student_student__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__providers_school_school__ = __webpack_require__(371);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__providers_update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__providers_calendar_calendar__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__providers_bookmark_bookmark__ = __webpack_require__(433);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__providers_attendance_attendance__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__providers_notice_notice__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33_ionic_gallery_modal__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__providers_news_news__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__providers_leave_leave__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__providers_file_file__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_37__pages_user_signin__ = __webpack_require__(379);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_38__pages_user_signup__ = __webpack_require__(380);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_39__pages_user_signup_detail__ = __webpack_require__(381);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_40__providers_search_search__ = __webpack_require__(600);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_41__providers_badge_badge__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_42_ion2_calendar__ = __webpack_require__(434);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_42_ion2_calendar___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_42_ion2_calendar__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_43__ionic_native_screen_orientation__ = __webpack_require__(601);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_44_ng2_pdf_viewer__ = __webpack_require__(602);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_45__pages_pdf_viewer_pdf_viewer__ = __webpack_require__(358);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_46__ionic_native_in_app_browser__ = __webpack_require__(357);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_47__ionic_native_fcm__ = __webpack_require__(382);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







// import { WebView } from '@ionic-native/ionic-webview/ngx';



































// import { JPush } from '@jiguang-ionic/jpush';







function createTranslateLoader(http) {
    return new __WEBPACK_IMPORTED_MODULE_14__ngx_translate_http_loader__["a" /* TranslateHttpLoader */](http, './assets/i18n/', '.json');
}
var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_37__pages_user_signin__["a" /* SigninPage */],
                __WEBPACK_IMPORTED_MODULE_38__pages_user_signup__["a" /* SignupPage */],
                __WEBPACK_IMPORTED_MODULE_39__pages_user_signup_detail__["a" /* SignupDetailPage */],
                __WEBPACK_IMPORTED_MODULE_45__pages_pdf_viewer_pdf_viewer__["a" /* PdfViewerPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_11__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicModule"].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {
                    backButtonText: '',
                }, {
                    links: [
                        { loadChildren: '../pages/ad/ad.module#AdPageModule', name: 'AdPage', segment: 'ad', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/attendance/attendance-month-picker.module#AttendanceMonthPickerPageModule', name: 'AttendanceMonthPickerPage', segment: 'attendance-month-picker', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/attendance/attendance.module#AttendancePageModule', name: 'AttendancePage', segment: 'attendance', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/bookmark/bookmark.module#BookmarkPageModule', name: 'BookmarkPage', segment: 'bookmark', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/calendar/calendar-modal.module#CalendarModalPageModule', name: 'CalendarModalPage', segment: 'calendar-modal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/file/file.module#FilePageModule', name: 'FilePage', segment: 'file', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomePageModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/homework/homework-detail.module#HomeworkDetailPageModule', name: 'HomeworkDetailPage', segment: 'homework-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/homework/homework.module#HomeworkPageModule', name: 'HomeworkPage', segment: 'homework', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/leave/leave-detail.module#LeaveDetailPageModule', name: 'LeaveDetailPage', segment: 'leave-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/leave/leave-create.module#LeaveCreatePageModule', name: 'LeaveCreatePage', segment: 'leave-create', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/message/message-detail.module#HomePageModule', name: 'MessageDetailPage', segment: 'message-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/leave/leave.module#LeavePageModule', name: 'LeavePage', segment: 'leave', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/news/news-detail.module#NewsDetailPageModule', name: 'NewsDetailPage', segment: 'news-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/news/news.module#NewsPageModule', name: 'NewsPage', segment: 'news', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/payment/payment-detail.module#PaymentDetailPageModule', name: 'PaymentDetailPage', segment: 'payment-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/payment/payment.module#PaymentPageModule', name: 'PaymentPage', segment: 'payment', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/school/school.module#SchoolPageModule', name: 'SchoolPage', segment: 'school', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/search/search.module#SearchPageModule', name: 'SearchPage', segment: 'search', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/setting/setting.module#SettingPageModule', name: 'SettingPage', segment: 'setting', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/student/student.module#StudentPageModule', name: 'StudentPage', segment: 'student', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/reset-passwd.module#ResetPasswdPageModule', name: 'ResetPasswdPage', segment: 'reset-passwd', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/message/message.module#HomePageModule', name: 'MessagePage', segment: 'message', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/notice/notice.module#NoticePageModule', name: 'NoticePage', segment: 'notice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/calendar/calendar.module#CalendarPageModule', name: 'CalendarPage', segment: 'calendar', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/notice/notice-detail.module#NoticeDetailPageModule', name: 'NoticeDetailPage', segment: 'notice-detail', priority: 'low', defaultHistory: [] }
                    ]
                }),
                // 配置storage的存储顺序选择
                __WEBPACK_IMPORTED_MODULE_7__ionic_storage__["a" /* IonicStorageModule */].forRoot({
                    name: '_schoolAppParent',
                    driverOrder: ['indexeddb', 'sqlite', 'websql']
                }),
                // For i18n
                __WEBPACK_IMPORTED_MODULE_13__ngx_translate_core__["b" /* TranslateModule */].forRoot({
                    loader: {
                        provide: __WEBPACK_IMPORTED_MODULE_13__ngx_translate_core__["a" /* TranslateLoader */],
                        useFactory: (createTranslateLoader),
                        deps: [__WEBPACK_IMPORTED_MODULE_11__angular_common_http__["a" /* HttpClient */]]
                    }
                }),
                __WEBPACK_IMPORTED_MODULE_12__angular_http__["c" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_25__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_33_ionic_gallery_modal__["c" /* GalleryModalModule */],
                __WEBPACK_IMPORTED_MODULE_42_ion2_calendar__["CalendarModule"],
                __WEBPACK_IMPORTED_MODULE_44_ng2_pdf_viewer__["a" /* PdfViewerModule */]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicApp"]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_37__pages_user_signin__["a" /* SigninPage */],
                __WEBPACK_IMPORTED_MODULE_38__pages_user_signup__["a" /* SignupPage */],
                __WEBPACK_IMPORTED_MODULE_39__pages_user_signup_detail__["a" /* SignupDetailPage */],
                __WEBPACK_IMPORTED_MODULE_45__pages_pdf_viewer_pdf_viewer__["a" /* PdfViewerPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_splash_screen__["a" /* SplashScreen */],
                // WebView,
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_network__["a" /* Network */],
                __WEBPACK_IMPORTED_MODULE_15__providers_homework_homework__["a" /* HomeworkProvider */],
                __WEBPACK_IMPORTED_MODULE_16__providers_message_message__["a" /* MessageProvider */],
                __WEBPACK_IMPORTED_MODULE_17__libs_util__["a" /* Util */],
                __WEBPACK_IMPORTED_MODULE_23__providers_user_user__["a" /* UserProvider */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ErrorHandler"], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicErrorHandler"] },
                __WEBPACK_IMPORTED_MODULE_24__providers_payment_payment__["a" /* PaymentProvider */],
                __WEBPACK_IMPORTED_MODULE_26__providers_student_student__["a" /* StudentProvider */],
                __WEBPACK_IMPORTED_MODULE_27__providers_school_school__["a" /* SchoolProvider */],
                __WEBPACK_IMPORTED_MODULE_28__providers_update_update__["a" /* UpdateProvider */],
                __WEBPACK_IMPORTED_MODULE_29__providers_calendar_calendar__["a" /* CalendarProvider */],
                __WEBPACK_IMPORTED_MODULE_36__providers_file_file__["a" /* FileProvider */],
                __WEBPACK_IMPORTED_MODULE_28__providers_update_update__["a" /* UpdateProvider */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_sqlite__["a" /* SQLite */],
                __WEBPACK_IMPORTED_MODULE_22__providers_database__["a" /* DatabaseProvider */],
                __WEBPACK_IMPORTED_MODULE_30__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
                __WEBPACK_IMPORTED_MODULE_31__providers_attendance_attendance__["a" /* AttendanceProvider */],
                __WEBPACK_IMPORTED_MODULE_32__providers_notice_notice__["a" /* NoticeProvider */],
                __WEBPACK_IMPORTED_MODULE_18__libs_file__["a" /* FileAction */],
                __WEBPACK_IMPORTED_MODULE_19__ionic_native_file_transfer__["a" /* FileTransfer */],
                __WEBPACK_IMPORTED_MODULE_20__ionic_native_file_opener__["a" /* FileOpener */],
                __WEBPACK_IMPORTED_MODULE_21__ionic_native_file__["a" /* File */],
                {
                    provide: __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["d" /* HAMMER_GESTURE_CONFIG */],
                    useClass: __WEBPACK_IMPORTED_MODULE_33_ionic_gallery_modal__["b" /* GalleryModalHammerConfig */],
                },
                __WEBPACK_IMPORTED_MODULE_30__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
                __WEBPACK_IMPORTED_MODULE_34__providers_news_news__["a" /* NewsProvider */],
                __WEBPACK_IMPORTED_MODULE_35__providers_leave_leave__["a" /* LeaveProvider */],
                __WEBPACK_IMPORTED_MODULE_40__providers_search_search__["a" /* SearchProvider */],
                // JPush,
                __WEBPACK_IMPORTED_MODULE_41__providers_badge_badge__["a" /* BadgeProvider */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_badge__["a" /* Badge */],
                __WEBPACK_IMPORTED_MODULE_43__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
                __WEBPACK_IMPORTED_MODULE_46__ionic_native_in_app_browser__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_47__ionic_native_fcm__["a" /* FCM */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 477:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./af": 231,
	"./af.js": 231,
	"./ar": 232,
	"./ar-dz": 233,
	"./ar-dz.js": 233,
	"./ar-kw": 234,
	"./ar-kw.js": 234,
	"./ar-ly": 235,
	"./ar-ly.js": 235,
	"./ar-ma": 236,
	"./ar-ma.js": 236,
	"./ar-sa": 237,
	"./ar-sa.js": 237,
	"./ar-tn": 238,
	"./ar-tn.js": 238,
	"./ar.js": 232,
	"./az": 239,
	"./az.js": 239,
	"./be": 240,
	"./be.js": 240,
	"./bg": 241,
	"./bg.js": 241,
	"./bm": 242,
	"./bm.js": 242,
	"./bn": 243,
	"./bn.js": 243,
	"./bo": 244,
	"./bo.js": 244,
	"./br": 245,
	"./br.js": 245,
	"./bs": 246,
	"./bs.js": 246,
	"./ca": 247,
	"./ca.js": 247,
	"./cs": 248,
	"./cs.js": 248,
	"./cv": 249,
	"./cv.js": 249,
	"./cy": 250,
	"./cy.js": 250,
	"./da": 251,
	"./da.js": 251,
	"./de": 252,
	"./de-at": 253,
	"./de-at.js": 253,
	"./de-ch": 254,
	"./de-ch.js": 254,
	"./de.js": 252,
	"./dv": 255,
	"./dv.js": 255,
	"./el": 256,
	"./el.js": 256,
	"./en-au": 257,
	"./en-au.js": 257,
	"./en-ca": 258,
	"./en-ca.js": 258,
	"./en-gb": 259,
	"./en-gb.js": 259,
	"./en-ie": 260,
	"./en-ie.js": 260,
	"./en-il": 261,
	"./en-il.js": 261,
	"./en-nz": 262,
	"./en-nz.js": 262,
	"./eo": 263,
	"./eo.js": 263,
	"./es": 264,
	"./es-do": 265,
	"./es-do.js": 265,
	"./es-us": 266,
	"./es-us.js": 266,
	"./es.js": 264,
	"./et": 267,
	"./et.js": 267,
	"./eu": 268,
	"./eu.js": 268,
	"./fa": 269,
	"./fa.js": 269,
	"./fi": 270,
	"./fi.js": 270,
	"./fo": 271,
	"./fo.js": 271,
	"./fr": 272,
	"./fr-ca": 273,
	"./fr-ca.js": 273,
	"./fr-ch": 274,
	"./fr-ch.js": 274,
	"./fr.js": 272,
	"./fy": 275,
	"./fy.js": 275,
	"./gd": 276,
	"./gd.js": 276,
	"./gl": 277,
	"./gl.js": 277,
	"./gom-latn": 278,
	"./gom-latn.js": 278,
	"./gu": 279,
	"./gu.js": 279,
	"./he": 280,
	"./he.js": 280,
	"./hi": 281,
	"./hi.js": 281,
	"./hr": 282,
	"./hr.js": 282,
	"./hu": 283,
	"./hu.js": 283,
	"./hy-am": 284,
	"./hy-am.js": 284,
	"./id": 285,
	"./id.js": 285,
	"./is": 286,
	"./is.js": 286,
	"./it": 287,
	"./it.js": 287,
	"./ja": 288,
	"./ja.js": 288,
	"./jv": 289,
	"./jv.js": 289,
	"./ka": 290,
	"./ka.js": 290,
	"./kk": 291,
	"./kk.js": 291,
	"./km": 292,
	"./km.js": 292,
	"./kn": 293,
	"./kn.js": 293,
	"./ko": 294,
	"./ko.js": 294,
	"./ky": 295,
	"./ky.js": 295,
	"./lb": 296,
	"./lb.js": 296,
	"./lo": 297,
	"./lo.js": 297,
	"./lt": 298,
	"./lt.js": 298,
	"./lv": 299,
	"./lv.js": 299,
	"./me": 300,
	"./me.js": 300,
	"./mi": 301,
	"./mi.js": 301,
	"./mk": 302,
	"./mk.js": 302,
	"./ml": 303,
	"./ml.js": 303,
	"./mn": 304,
	"./mn.js": 304,
	"./mr": 305,
	"./mr.js": 305,
	"./ms": 306,
	"./ms-my": 307,
	"./ms-my.js": 307,
	"./ms.js": 306,
	"./mt": 308,
	"./mt.js": 308,
	"./my": 309,
	"./my.js": 309,
	"./nb": 310,
	"./nb.js": 310,
	"./ne": 311,
	"./ne.js": 311,
	"./nl": 312,
	"./nl-be": 313,
	"./nl-be.js": 313,
	"./nl.js": 312,
	"./nn": 314,
	"./nn.js": 314,
	"./pa-in": 315,
	"./pa-in.js": 315,
	"./pl": 316,
	"./pl.js": 316,
	"./pt": 317,
	"./pt-br": 318,
	"./pt-br.js": 318,
	"./pt.js": 317,
	"./ro": 319,
	"./ro.js": 319,
	"./ru": 320,
	"./ru.js": 320,
	"./sd": 321,
	"./sd.js": 321,
	"./se": 322,
	"./se.js": 322,
	"./si": 323,
	"./si.js": 323,
	"./sk": 324,
	"./sk.js": 324,
	"./sl": 325,
	"./sl.js": 325,
	"./sq": 326,
	"./sq.js": 326,
	"./sr": 327,
	"./sr-cyrl": 328,
	"./sr-cyrl.js": 328,
	"./sr.js": 327,
	"./ss": 329,
	"./ss.js": 329,
	"./sv": 330,
	"./sv.js": 330,
	"./sw": 331,
	"./sw.js": 331,
	"./ta": 332,
	"./ta.js": 332,
	"./te": 333,
	"./te.js": 333,
	"./tet": 334,
	"./tet.js": 334,
	"./tg": 335,
	"./tg.js": 335,
	"./th": 336,
	"./th.js": 336,
	"./tl-ph": 337,
	"./tl-ph.js": 337,
	"./tlh": 338,
	"./tlh.js": 338,
	"./tr": 339,
	"./tr.js": 339,
	"./tzl": 340,
	"./tzl.js": 340,
	"./tzm": 341,
	"./tzm-latn": 342,
	"./tzm-latn.js": 342,
	"./tzm.js": 341,
	"./ug-cn": 343,
	"./ug-cn.js": 343,
	"./uk": 344,
	"./uk.js": 344,
	"./ur": 345,
	"./ur.js": 345,
	"./uz": 346,
	"./uz-latn": 347,
	"./uz-latn.js": 347,
	"./uz.js": 346,
	"./vi": 348,
	"./vi.js": 348,
	"./x-pseudo": 349,
	"./x-pseudo.js": 349,
	"./yo": 350,
	"./yo.js": 350,
	"./zh-cn": 351,
	"./zh-cn.js": 351,
	"./zh-hk": 352,
	"./zh-hk.js": 352,
	"./zh-tw": 353,
	"./zh-tw.js": 353
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 477;

/***/ }),

/***/ 53:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__calendar_calendar__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__attendance_attendance__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__message_message__ = __webpack_require__(91);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__notice_notice__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__homework_homework__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__school_school__ = __webpack_require__(371);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__news_news__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__payment_payment__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__leave_leave__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__student_student__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_15_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__providers_file_file__ = __webpack_require__(168);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

















var UserProvider = (function () {
    function UserProvider(util, student, calendar, update, attendance, message, notice, homework, school, news, leave, file, payment, events) {
        this.util = util;
        this.student = student;
        this.calendar = calendar;
        this.update = update;
        this.attendance = attendance;
        this.message = message;
        this.notice = notice;
        this.homework = homework;
        this.school = school;
        this.news = news;
        this.leave = leave;
        this.file = file;
        this.payment = payment;
        this.events = events;
        this.deviceToken = this.util.getDeviceToken() ? this.util.getDeviceToken() : __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].deviceToken;
        this.pushSDK = this.util.getPushSDK() ? this.util.getPushSDK() : 'fcm';
        this.currDate = __WEBPACK_IMPORTED_MODULE_15_moment__().format('YYYY-MM-DD');
    }
    // 登录
    UserProvider.prototype.signin = function (areaCode, tel, password) {
        var params = {
            'schoolId': __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].schoolId,
            'areaCode': areaCode,
            'tel': tel,
            'password': password
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].signinApiUrl, params);
    };
    UserProvider.prototype.signup = function (userId, password) {
        var params = {
            'password': password,
            'userId': userId
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].signupApiUrl, params);
    };
    UserProvider.prototype.uuidSignin = function (sysData) {
        //        let sysData  = this.util.getStorage('sysData');
        var params = {
            deviceType: sysData.deviceType,
            deviceToken: this.deviceToken,
            deviceId: sysData.deviceId,
            version: sysData.version,
            versionCode: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].versionCode,
            model: sysData.model,
            bundleID: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].bundleID,
            pushSDK: this.pushSDK
        };
        console.log("UUID Login Params  ========> " + JSON.stringify(params));
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].uuidSigninApiUrl, params);
    };
    UserProvider.prototype.getCurrentStudentId = function () {
        var userDetail = this.util.getStorage('userDetail');
        return userDetail ? parseInt(userDetail.currentStudentId) : 0;
    };
    UserProvider.prototype.getSchool = function (studentId) {
        var studentDetail = this.util.getStorage('studentDetail');
        for (var key in studentDetail) {
            if (parseInt(key) == studentId)
                return studentDetail[key].school;
        }
    };
    UserProvider.prototype.getValue = function (field) {
        var userDetail = this.util.getStorage('userDetail') ? this.util.getStorage('userDetail') : {};
        return typeof (userDetail[field]) != 'undefined' ? userDetail[field] : null;
    };
    UserProvider.prototype.checkLogin = function () {
        var isLogin = this.getValue('isLogin');
        return isLogin;
    };
    UserProvider.prototype.init = function () {
        var _this = this;
        if (this.util.hasHttpJobs(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].parentInitApiUrl)) {
            console.log("user already running getRemoteData, return");
            return;
        }
        this.util.addHttpJobs(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].parentInitApiUrl);
        console.log('User init start =====> ' + new Date());
        var studentDetail = this.util.getStorage('studentDetail');
        var _loop_1 = function (studentId) {
            var sysData = this_1.util.getStorage('sysData');
            var schoolId = studentDetail[studentId].school.id;
            var modules = this_1.util.getSchoolModules(studentId);
            // 如果有多个学生，检查是否是同一家学校
            if (!this_1.school.checkIsSame(studentId, schoolId)) {
                // 更新校历数据
                this_1.calendar.getLatestFromRemoteDb(schoolId, studentId);
            }
            // 更新数据
            var params = {
                userId: this_1.getValue('id'),
                studentId: parseInt(studentId),
                updated: this_1.getValue('updated'),
                msgUpdated: this_1.update.getUpdatedValue(studentId, 'msgUpdated'),
                ntcUpdated: this_1.update.getUpdatedValue(studentId, 'ntcUpdated')
            };
            // 初始化资讯数据
            if (this_1.util.inArray('news', modules)) {
                params["newsUpdated"] = this_1.update.getUpdatedValue(studentId, 'newsUpdated');
            }
            // 初始化缴费数据
            if (this_1.util.inArray('payment', modules)) {
                params["pmtUpdated"] = this_1.update.getUpdatedValue(studentId, 'pmtUpdated');
            }
            // 初始化 attUpdated数据
            if (this_1.util.inArray('attendance', modules)) {
                params["attUpdated"] = this_1.update.getUpdatedValue(studentId, 'attUpdated');
            }
            // 初始化数据 homework
            if (this_1.util.inArray('homework', modules)) {
                params["hwkUpdated"] = this_1.update.getUpdatedValue(studentId, 'hwkUpdated');
            }
            // 初始化请假数据
            if (this_1.util.inArray('leave', modules)) {
                params["lveUpdated"] = this_1.update.getUpdatedValue(studentId, 'lveUpdated');
            }
            // 初始化请假数据
            if (this_1.util.inArray('file', modules)) {
                params["fileUpdated"] = this_1.update.getUpdatedValue(studentId, 'fileUpdated');
            }
            var DB_CURR_VERSION = this_1.util.getStorage('DB_CURR_VERSION', 'string');
            var device = {
                deviceType: sysData.deviceType,
                deviceToken: this_1.deviceToken,
                deviceId: sysData.deviceId,
                version: sysData.version,
                versionCode: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].versionCode,
                model: sysData.model,
                bundleID: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].bundleID,
                pushSDK: this_1.pushSDK,
                dbVersion: DB_CURR_VERSION
            };
            params['device'] = device;
            console.log('User init params = ' + JSON.stringify(params));
            // 从服务器获取初始化数据
            this_1.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].parentInitApiUrl, params).subscribe(function (res) {
                var data = res.json();
                console.log('User init result = ' + JSON.stringify(data));
                if (data.code == 1) {
                    _this.student.setStudentDetail(data.student);
                    // Save upload dir url
                    _this.util.pushStorage('app', { uploadDirUrl: data.uploadDirUrl });
                    // Save promotion info
                    _this.util.pushStorage('app', { promotion: data.promotion });
                    // Save version info
                    _this.util.pushStorage('app', { version: data.version });
                    // save records into local db
                    if (data.student.att != 'undefined') {
                        _this.attendance.saveRecords(data.student.att);
                    }
                    if (data.student.msg) {
                        _this.message.saveRecords(data.student.msg);
                    }
                    if (data.student.ntc) {
                        _this.notice.saveRecords(data.student.ntc);
                    }
                    if (data.student.news) {
                        _this.news.saveRecords(data.student.news);
                    }
                    if (data.student.lve) {
                        _this.leave.saveRecords(data.student.lve);
                    }
                    if (data.student.file) {
                        _this.file.saveRecords(data.student.file);
                    }
                    if (data.student.pmt) {
                        _this.student.setPaymentCount(data.student.pmt.counter, studentId);
                        _this.payment.saveRecords(studentId, data.student.pmt.batches, data.student.pmt.rows);
                        if (data.student.pmt.rows.length)
                            _this.update.setUpdatedValue('pmtUpdated', studentId, data.student.pmt.rows[data.student.pmt.rows.length - 1].created);
                    }
                    if (data.student.hwk) {
                        _this.homework.saveRecords(data.student.hwk);
                    }
                    // update the sessionKey
                    if (data.sessionKey) {
                        var userDetail = _this.util.getStorage('userDetail');
                        if (userDetail.sessionKey != data.sessionKey) {
                            console.log('old sessionKey = ' + userDetail.sessionKey + " setting to new one: " + data.sessionKey);
                            userDetail.sessionKey = data.sessionKey;
                            _this.util.setStorage('userDetail', userDetail);
                            var u = _this.util.getStorage('userDetail');
                        }
                    }
                    _this.events.publish("checkUpdate", data.version);
                }
                _this.util.removeHttpJobs(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].parentInitApiUrl);
            });
        };
        var this_1 = this;
        for (var studentId in studentDetail) {
            _loop_1(studentId);
        } // foreach student
        this.util.removeStorage('tempCurrentSchoolData');
        console.log('User init finished =====> ' + new Date());
        this.events.publish("user:init:success", this.util.getCurrentStudentId());
    };
    UserProvider.prototype.setPushSDK = function (pushSDK) {
        this.pushSDK = pushSDK;
        this.util.setStorage('pushSDK', pushSDK);
    };
    UserProvider.prototype.setToken = function (token) {
        this.deviceToken = token;
        var sysData = this.util.getStorage('sysData');
        var device = {
            deviceType: sysData.deviceType,
            deviceToken: this.deviceToken,
            deviceId: sysData.deviceId,
            version: sysData.version,
            versionCode: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].versionCode,
            model: sysData.model,
            bundleID: __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].bundleID,
            pushSDK: this.pushSDK
        };
        var params = {
            userId: this.getValue('id'),
            device: device
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].setTokenApiUrl, params);
    };
    UserProvider.prototype.logout = function () {
        var sysData = this.util.getStorage('sysData');
        var params = {
            userId: this.getValue('id'),
            deviceId: sysData.deviceId
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].logoutApiUrl, params);
    };
    UserProvider.prototype.checkSignupCode = function (code) {
        var params = {
            'schoolId': __WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].schoolId,
            'signupCode': code
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].parentCheckSignupCodeApiUrl, params);
    };
    UserProvider.prototype.resetPassword = function (passwd, newPasswd) {
        var params = {
            'password': passwd,
            'newPw': newPasswd
        };
        return this.util.post(__WEBPACK_IMPORTED_MODULE_12__app_app_config__["a" /* Config */].resetPasswdApiUrl, params);
    };
    UserProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_13__student_student__["a" /* StudentProvider */],
            __WEBPACK_IMPORTED_MODULE_2__calendar_calendar__["a" /* CalendarProvider */],
            __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_4__attendance_attendance__["a" /* AttendanceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__message_message__["a" /* MessageProvider */],
            __WEBPACK_IMPORTED_MODULE_6__notice_notice__["a" /* NoticeProvider */],
            __WEBPACK_IMPORTED_MODULE_7__homework_homework__["a" /* HomeworkProvider */],
            __WEBPACK_IMPORTED_MODULE_8__school_school__["a" /* SchoolProvider */],
            __WEBPACK_IMPORTED_MODULE_9__news_news__["a" /* NewsProvider */],
            __WEBPACK_IMPORTED_MODULE_11__leave_leave__["a" /* LeaveProvider */],
            __WEBPACK_IMPORTED_MODULE_16__providers_file_file__["a" /* FileProvider */],
            __WEBPACK_IMPORTED_MODULE_10__payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_14_ionic_angular__["Events"]])
    ], UserProvider);
    return UserProvider;
}());

//# sourceMappingURL=user.js.map

/***/ }),

/***/ 54:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StudentProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var StudentProvider = (function () {
    function StudentProvider(http, util, platform, db) {
        this.http = http;
        this.util = util;
        this.platform = platform;
        this.db = db;
    }
    StudentProvider.prototype.saveRecords = function (table, records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                for (var key in records) {
                    _this.db.replace(table, records[key]).then(function (ret) {
                        if (ret) {
                            //                          console.log('saveRecords table = ' + table +" id="+records[key]['id']);
                        }
                    });
                }
            });
        }
    };
    StudentProvider.prototype.saveRecordsMsg = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                for (var key in records) {
                    records[key]['attachments'] = JSON.stringify(records[key]['attachments']);
                    delete records[key].foto;
                    _this.db.replace('message', records[key]).then(function (ret) {
                        //console.log('saveRecords table = message id='+records[key]['id']);
                    });
                }
            });
        }
    };
    StudentProvider.prototype.saveRecordsNtc = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                var _loop_1 = function (i) {
                    var noticeQuestions = records[i].noticeFieldAnswer, studentId = records[i].studentId;
                    delete records[i].noticeFieldAnswer;
                    records[i]['groupNameArray'] = JSON.stringify(records[i]['groupNameArray']);
                    records[i]['attachments'] = JSON.stringify(records[i]['attachments']);
                    _this.db.replace('notice', records[i]).then(function (ret) {
                        if (ret) {
                            // 插入问题列表
                            _this.saveQuestionRecords(studentId, noticeQuestions, records[i]['id']);
                        }
                    });
                };
                for (var i in records) {
                    _loop_1(i);
                }
            });
        }
    };
    StudentProvider.prototype.saveQuestionRecords = function (studentId, records, noticeId) {
        var _this = this;
        if (records != null) {
            this.db.delete('notice_question', { studentId: studentId, noticeId: noticeId }).then(function (ret) {
                for (var i in records) {
                    var subQuestions = records[i].subQuestions;
                    if (typeof (subQuestions) != 'undefined') {
                        delete records[i].subQuestions;
                        _this.db.replace('notice_question', records[i]);
                        for (var j in subQuestions) {
                            _this.db.replace('notice_question', subQuestions[j]);
                        }
                    }
                    else {
                        _this.db.replace('notice_question', records[i]);
                    }
                }
            });
        } // records != null
    };
    StudentProvider.prototype.setStudentDetail = function (student) {
        var studentData;
        var studentDetail = this.util.getStorage('studentDetail') ? this.util.getStorage('studentDetail') : {};
        if (studentDetail[student.id]) {
            studentData = studentDetail[student.id];
        }
        else {
            studentData = {};
        }
        studentData['id'] = student.id;
        studentData['name'] = student.studentName;
        studentData['schoolName'] = student.school.name;
        studentData['classNo'] = student.classNo;
        studentData['groupName'] = student.groupName;
        studentData['avatar'] = student.photoUrl;
        studentData['updated'] = student.updated;
        studentData['school'] = student.school;
        studentData['groups'] = student.groups;
        studentDetail[student.id] = studentData;
        this.util.setStorage('studentDetail', studentDetail);
        this.util.setGroups(studentData['groups']);
    };
    StudentProvider.prototype.getStudentDataById = function (studentId) {
        var studentDetail = this.util.getStorage('studentDetail');
        for (var key in studentDetail) {
            if (parseInt(key) == studentId)
                return studentDetail[key];
        }
    };
    StudentProvider.prototype.setPaymentCount = function (counter, studentId) {
        var studentDetail = this.util.getStorage('studentDetail');
        studentDetail[studentId]['paymentCount'] = counter;
        this.util.setStorage('studentDetail', studentDetail);
    };
    StudentProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__database__["a" /* DatabaseProvider */]])
    ], StudentProvider);
    return StudentProvider;
}());

//# sourceMappingURL=student.js.map

/***/ }),

/***/ 597:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PipesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__console_console__ = __webpack_require__(598);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__array_count_array_count__ = __webpack_require__(599);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PipesModule = (function () {
    function PipesModule() {
    }
    PipesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__console_console__["a" /* ConsolePipe */],
                __WEBPACK_IMPORTED_MODULE_2__array_count_array_count__["a" /* ArrayCountPipe */]],
            imports: [],
            exports: [__WEBPACK_IMPORTED_MODULE_1__console_console__["a" /* ConsolePipe */],
                __WEBPACK_IMPORTED_MODULE_2__array_count_array_count__["a" /* ArrayCountPipe */]]
        })
    ], PipesModule);
    return PipesModule;
}());

//# sourceMappingURL=pipes.module.js.map

/***/ }),

/***/ 598:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConsolePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the ConsolePipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ConsolePipe = (function () {
    function ConsolePipe() {
    }
    /**
     * Takes a value and makes it lowercase.
     */
    ConsolePipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        if (typeof (value) == 'object')
            console.log(JSON.stringify(value));
        else
            console.log(value);
    };
    ConsolePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'console',
        })
    ], ConsolePipe);
    return ConsolePipe;
}());

//# sourceMappingURL=console.js.map

/***/ }),

/***/ 599:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ArrayCountPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the ArrayCountPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ArrayCountPipe = (function () {
    function ArrayCountPipe() {
    }
    /**
     * Takes a value and makes it lowercase.
     */
    ArrayCountPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        return value.length;
    };
    ArrayCountPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'arrayCount',
        })
    ], ArrayCountPipe);
    return ArrayCountPipe;
}());

//# sourceMappingURL=array-count.js.map

/***/ }),

/***/ 600:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
  Generated class for the SearchProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var SearchProvider = (function () {
    function SearchProvider(http) {
        this.http = http;
        console.log('Hello SearchProvider Provider');
    }
    SearchProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */]])
    ], SearchProvider);
    return SearchProvider;
}());

//# sourceMappingURL=search.js.map

/***/ }),

/***/ 607:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 609:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 628:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 629:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 630:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 68:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FileAction; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_file_transfer__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_opener__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(357);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_pdf_viewer_pdf_viewer__ = __webpack_require__(358);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_http__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_add_operator_toPromise__ = __webpack_require__(480);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_add_operator_toPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_rxjs_add_operator_toPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_rxjs_operators__ = __webpack_require__(481);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_10_rxjs_operators__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var FileAction = (function () {
    function FileAction(transfer, util, http, file, opener, platform, iab, modal) {
        this.transfer = transfer;
        this.util = util;
        this.http = http;
        this.file = file;
        this.opener = opener;
        this.platform = platform;
        this.iab = iab;
        this.modal = modal;
        this.fileTransfer = this.transfer.create();
    }
    FileAction.prototype.upload = function () {
    };
    FileAction.prototype.getDataDirectory = function () {
        return this.file.dataDirectory;
    };
    FileAction.prototype.checkFile = function (path, fileName) {
        var _this = this;
        console.log('checkFile this.file.dataDirectory: ' + this.file.dataDirectory + " path: " + path + " fileName: " + fileName);
        this.file.checkDir(this.file.dataDirectory, path).then(function () {
            //console.log('path exist: '+this.file.dataDirectory + path);
        }).catch(function (err) {
            console.log('path does not exist, try to create');
            _this.file.createDir(_this.file.dataDirectory, path, false).then(function () {
                console.log('path created: ' + _this.file.dataDirectory + path);
            }).catch(function (err) {
                console.log('path created failed: ' + _this.file.dataDirectory + path);
            });
        });
        return this.file.checkFile(this.file.dataDirectory + path + '/', fileName);
    };
    //return this.fileTransfer.download(fileUrl, this.file.dataDirectory + filePath, true);
    /* download(fileUrl, filePath) {
        console.log('start download : '+fileUrl +" to "+ filePath);
        let ary = filePath.split("/");
        let fileName = ary.pop();
        let path = ary.join("/");
        //let path = filePath.substring(0, filePath.lastIndexOf('/') + 1);
        //let fileName = filePath.substring(filePath.lastIndexOf('/') + 1);
        return this.file.checkFile(this.file.dataDirectory, fileName).then(() => {
            console.log('file exists');
            }).catch((err) => {
            console.log('file does not exist, try to download');
                return this.http.get(fileUrl, new RequestOptions({responseType: ResponseContentType.Blob}))
                .pipe(
                    map(
                    response => { // download file
                        //var blob = new Blob([response.blob()], {type: 'application/pdf'});
                        var blob = new Blob([response.blob()]);
                        this.file.writeFile(this.file.dataDirectory, fileName, blob, {replace: true});
                        console.error(`writeFile: ${fileName}`);
                    },
                    error => {
                        console.error(`Error: ${error.message}`);
                    }
                )
                ).toPromise();
            });
    } */
    FileAction.prototype.download = function (fileUrl, filePath) {
        var _this = this;
        var fileName = '';
        console.log('start download : ' + fileUrl + " to " + filePath);
        if (!fileUrl) {
            return Promise.resolve({ res: 'fileUrl is empty', error: 'fileUrl is empty' });
        }
        if (fileUrl) {
            var ary = fileUrl.split("/");
            fileName = ary.pop();
        }
        return this.file.checkFile(this.file.dataDirectory, fileName).then(function () {
            console.log('file exists');
            return Promise.resolve({ res: 'file exists', error: null });
        }).catch(function (err) {
            console.log('file does not exist, try to download');
            return _this.http.get(fileUrl, new __WEBPACK_IMPORTED_MODULE_8__angular_http__["d" /* RequestOptions */]({ responseType: __WEBPACK_IMPORTED_MODULE_8__angular_http__["e" /* ResponseContentType */].Blob }))
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_10_rxjs_operators__["map"])(function (response) {
                var blob = new Blob([response.blob()]);
                _this.file.writeFile(_this.file.dataDirectory, fileName, blob, { replace: true });
                console.error("writeFile: " + fileName);
            }, function (error) {
                console.error("Error: " + error.message);
            })).toPromise();
        });
    };
    FileAction.prototype.openInDataDir = function (fileName, url) {
        var nativeFile = this.getDataDirectory().replace(/^file:\/\//, '') + fileName;
        this.open(nativeFile, url);
    };
    FileAction.prototype.open = function (nativeFile, url) {
        var _this = this;
        if (nativeFile) {
            var fileType_1 = this.getType(nativeFile);
            this.opener.open(nativeFile, this.getMimeType(fileType_1)).then(function () {
                console.log('打开成功: ' + nativeFile);
            }).catch(function (err) {
                console.log('打开失败，文件路径：' + nativeFile + ', Mime Type: ' + _this.getMimeType(fileType_1) + ', 错误： ' + JSON.stringify(err));
                if (_this.platform.is("android")) {
                    console.log('尝试打开： ' + url);
                    //                const browser = this.iab.create(url, "_blank", "location=no");
                    //              browser.show();
                    var modal = _this.modal.create(__WEBPACK_IMPORTED_MODULE_7__pages_pdf_viewer_pdf_viewer__["a" /* PdfViewerPage */], {
                        displayData: {
                            pdfSource: {
                                url: url,
                                withCredentials: false
                            }
                        }
                    });
                    modal.present();
                }
            });
        }
        else {
            console.log('file/open nativeFile is empty ');
            //    const browser = this.iab.create(url, "_blank", "location=no");
            //    browser.show();
            var modal = this.modal.create(__WEBPACK_IMPORTED_MODULE_7__pages_pdf_viewer_pdf_viewer__["a" /* PdfViewerPage */], {
                displayData: {
                    pdfSource: {
                        url: url,
                        withCredentials: false
                    }
                }
            });
            modal.present();
        }
    };
    FileAction.prototype.getMimeType = function (fileType) {
        var mimeType = '';
        switch (fileType) {
            case 'txt':
                mimeType = 'text/plain';
                break;
            case 'docx':
                mimeType = 'application/vnd.openxmlformats-officedocument.wordprocessingml.document';
                break;
            case 'doc':
                mimeType = 'application/msword';
                break;
            case 'pptx':
                mimeType = 'application/vnd.openxmlformats-officedocument.presentationml.presentation';
                break;
            case 'ppt':
                mimeType = 'application/vnd.ms-powerpoint';
                break;
            case 'xlsx':
                mimeType = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet';
                break;
            case 'xls':
                mimeType = 'application/vnd.ms-excel';
                break;
            case 'zip':
                mimeType = 'application/x-zip-compressed';
                break;
            case 'rar':
                mimeType = 'application/octet-stream';
                break;
            case 'pdf':
                mimeType = 'application/pdf';
                break;
            case 'jpg':
                mimeType = 'image/jpeg';
                break;
            case 'png':
                mimeType = 'image/png';
                break;
            default:
                mimeType = 'application/' + fileType;
                break;
        }
        return mimeType;
    };
    FileAction.prototype.getType = function (fileName) {
        return fileName.substring(fileName.lastIndexOf('.') + 1, fileName.length).toLowerCase();
    };
    FileAction = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_file_transfer__["a" /* FileTransfer */],
            __WEBPACK_IMPORTED_MODULE_3__util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_8__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_opener__["a" /* FileOpener */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular__["ModalController"]])
    ], FileAction);
    return FileAction;
}());

//# sourceMappingURL=file.js.map

/***/ }),

/***/ 69:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BadgeProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var BadgeProvider = (function () {
    function BadgeProvider(util, db) {
        this.util = util;
        this.db = db;
        this.studentId = this.util.getCurrentStudentId();
    }
    BadgeProvider.prototype.getAllBadges = function (studentId) {
        this.studentId = studentId;
        var updateBadge = this.util.getStorage("updateBadge") || {};
        if (typeof (updateBadge[studentId]) != 'undefined')
            return updateBadge[studentId];
        else
            return {};
    };
    BadgeProvider.prototype.setValue = function (type, num) {
        var updateBadge = this.util.getStorage('updateBadge') || {};
        if (typeof (updateBadge[this.studentId]) == 'undefined') {
            updateBadge[this.studentId] = {};
        }
        updateBadge[this.studentId][type] = num;
        this.util.setStorage('updateBadge', updateBadge);
    };
    BadgeProvider.prototype.getValue = function (type) {
        var updateBadge = this.util.getStorage('updateBadge') || {};
        if (typeof (updateBadge[this.studentId]) != 'undefined') {
            if (typeof (updateBadge[this.studentId][type]) != 'undefined') {
                return updateBadge[this.studentId][type];
            }
        }
        return 0;
    };
    BadgeProvider.prototype.setAllBadges = function () {
        var _this = this;
        this.db.count('message', "studentId = " + this.studentId + " AND m2sStatus != 4 AND pushType != 7").then(function (num) {
            if (num) {
                _this.setValue('msg', num);
            }
        });
        this.db.count('news', "studentId = " + this.studentId + " AND m2sStatus != 4 AND pushType != 7").then(function (num) {
            if (num) {
                _this.setValue('news', num);
            }
        });
        var datetimeInteger = this.util.getCurrentDatetimeInteger();
        var condition = "studentId = " + this.studentId + " AND needReply = 1 AND n2sStatus != 6 AND (expiryDate = ' -- ' OR replace(expiryDate, '-', '') || replace(expiryTime, ':', '') > '" + datetimeInteger + "')";
        this.db.count('notice', condition).then(function (num) {
            if (num) {
                _this.setValue('ntc', num);
            }
        });
    };
    BadgeProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */]])
    ], BadgeProvider);
    return BadgeProvider;
}());

//# sourceMappingURL=badge.js.map

/***/ }),

/***/ 91:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessageProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__badge_badge__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var MessageProvider = (function () {
    function MessageProvider(util, db, update, platform, badge, file, events) {
        this.util = util;
        this.db = db;
        this.update = update;
        this.platform = platform;
        this.badge = badge;
        this.file = file;
        this.events = events;
        this.msgUpdated = 0;
    }
    MessageProvider.prototype.getOneFromRemoteDb = function (messageId) {
        return this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].messageGetOneUrl, {
            'messageId': messageId,
        });
    };
    MessageProvider.prototype.getItemsFromRemoteDb = function () {
        var updated = this.getUpdated() ? this.getUpdated() : 0;
        var studentId = this.util.getCurrentStudentId();
        return this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].messageGetApiUrl, {
            'updated': updated,
            'studentId': studentId
        });
    };
    MessageProvider.prototype.getUpdated = function () {
        var studentId = this.util.getCurrentStudentId();
        return this.update.getUpdatedValue(studentId, 'msgUpdated');
    };
    MessageProvider.prototype.getTotalPage = function () {
        var condition = "studentId = " + this.util.getCurrentStudentId();
        return this.db.getTotalPage('message', condition);
    };
    MessageProvider.prototype.getItemsFromLocalDb = function (page) {
        /*
                this.db.select('message', '*', '', ' id ASC', null, 1000, 0).then((ret) => {
    //			console.log('message.rows ========> ' + JSON.stringify(ret));
                            console.log('message.rows ========> ' + ret.length);
             });
        */
        var pageSize = __WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = "studentId = " + this.util.getCurrentStudentId();
        return this.db.select('message', '*', condition, ' updated DESC', null, pageSize, offset);
    };
    MessageProvider.prototype.getItem = function (id) {
        return this.db.select('message', '*', { id: id });
    };
    MessageProvider.prototype.saveOne = function (record) {
        console.log('msg saveOne  ========> ' + JSON.stringify(record));
        if (record['attachments'] != "[]" && record['attachments'] != "undefined") {
            record['attachments'] = JSON.stringify(record['attachments']);
        }
        this.db.replace('message', record).then(function (ret) {
            if (ret) {
                //       this.update.setUpdatedValue('msgUpdated', record.studentId, record.updated);
            }
        });
        this.setBadge();
    };
    MessageProvider.prototype.saveRecords = function (records) {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        if (records) {
            var taskName = 'message.saveRecords';
            if (this.util.hasHttpJobs(taskName)) {
                console.log(taskName + " already running, return");
                return;
            }
            this.util.addHttpJobs(taskName);
            this.platform.ready().then(function () {
                var _loop_1 = function (key) {
                    //console.log('message.rows ========> ' + JSON.stringify(records[key]));
                    if (records[key]['attachments'] != "[]" && records[key]['attachments'] != "undefined") {
                        records[key]['attachments'] = JSON.stringify(records[key]['attachments']);
                        for (var j in records[key]['attachments']) {
                            if (!records[key]['attachments'][j].fileUrl) {
                                continue;
                            }
                            _this.file.download(records[key]['attachments'][j].fileUrl);
                        }
                    }
                    _this.db.replace('message', records[key]).then(function (ret) {
                        if (ret) {
                            _this.update.setUpdatedValue('msgUpdated', records[key].studentId, records[key].updated);
                        }
                    });
                };
                for (var key in records) {
                    _loop_1(key);
                }
                _this.setBadge();
            });
            this.util.removeHttpJobs(taskName);
        }
    };
    MessageProvider.prototype.setReadAll = function () {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        this.db.select('message', 'id', "studentId = " + studentId + " AND m2sStatus != 4 ").then(function (ret) {
            if (ret.length) {
                var idArr = [];
                for (var key in ret) {
                    idArr.push(ret[key].id);
                }
                var ids = idArr.join(',');
                //update the server
                _this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].messageSetReadApiUrl, { studentId: studentId, ids: ids }).subscribe(function (res) {
                    var data = res.json();
                    if (data.code == 1) {
                        // update local
                        _this.db.update('message', { m2sStatus: 4 }, { studentId: studentId }).then(function (ret) {
                            _this.setBadge();
                        });
                    }
                });
            }
        });
    };
    MessageProvider.prototype.setRead = function (id) {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        // update local
        this.db.update('message', { m2sStatus: 4 }, { id: id }).then(function (ret) {
            _this.setBadge();
            //update the server
            _this.util.post(__WEBPACK_IMPORTED_MODULE_2__app_app_config__["a" /* Config */].messageSetReadApiUrl, { studentId: studentId, ids: id }).subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    // ...
                }
            });
        });
    };
    MessageProvider.prototype.setBadge = function () {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        this.db.select('message', 'id, m2sStatus,pushType', "studentId = " + studentId + " AND m2sStatus != 4 AND pushType != 7").then(function (ret) {
            //			console.log('message.rows ========> ' + JSON.stringify(ret));
            _this.badge.setValue('msg', ret.length);
            _this.events.publish("updateBadge:msg:success");
            _this.events.publish("setDesktopBadge");
        });
    };
    MessageProvider.prototype.del = function (id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.db.delete('message', { id: id });
        });
    };
    MessageProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_5__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_6__badge_badge__["a" /* BadgeProvider */],
            __WEBPACK_IMPORTED_MODULE_7__libs_file__["a" /* FileAction */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Events"]])
    ], MessageProvider);
    return MessageProvider;
}());

//# sourceMappingURL=message.js.map

/***/ }),

/***/ 92:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NoticeProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__badge_badge__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var NoticeProvider = (function () {
    function NoticeProvider(platform, util, db, update, badge, file, events) {
        this.platform = platform;
        this.util = util;
        this.db = db;
        this.update = update;
        this.badge = badge;
        this.file = file;
        this.events = events;
    }
    NoticeProvider.prototype.getItemsFromLocalDb = function (page, status) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = "";
        if (status == 'unsigned') {
            condition = this.getUnsignedCondition();
        }
        else if (status == 'signed') {
            condition += this.getSignedCondition();
        }
        else {
            condition = "studentId = " + this.util.getCurrentStudentId();
        }
        /*
          this.db.select('notice', '*', condition, ' id ASC', null, 1000, 0).then((ret) => {
    //			console.log(' notice.rows ========> ' + JSON.stringify(ret));
                            console.log(condition+' notice.rows ========> ' + ret.length);
             });
                */
        return this.db.select('notice', '*', condition, ' updated DESC', null, pageSize, offset);
    };
    NoticeProvider.prototype.getItemsFromRemoteDb = function () {
        var studentId = this.util.getCurrentStudentId();
        var updated = this.update.getUpdatedValue(studentId, 'ntcUpdated') ? this.update.getUpdatedValue(studentId, 'ntcUpdated') : 0;
        console.log('ntc getItemsFromRemoteDb updated： ' + updated);
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].noticeGetApiUrl, {
            'updated': updated,
            'studentId': studentId
        });
    };
    NoticeProvider.prototype.getOneFromRemoteDb = function (noticeId) {
        var studentId = this.util.getCurrentStudentId();
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].noticeGetOneUrl, {
            'noticeId': noticeId,
            'studentId': studentId
        });
    };
    NoticeProvider.prototype.getTotalPage = function (status) {
        var condition = "";
        if (status == 'unsigned') {
            condition = this.getUnsignedCondition();
        }
        else if (status == 'signed') {
            condition += this.getSignedCondition();
        }
        else {
            condition = "studentId = " + this.util.getCurrentStudentId();
        }
        return this.db.getTotalPage('notice', condition);
    };
    NoticeProvider.prototype.getItem = function (id) {
        return this.db.select('notice', '*', { id: id, studentId: this.util.getCurrentStudentId() });
    };
    NoticeProvider.prototype.getQuestions = function (studentId, noticeId) {
        return this.db.select('notice_question', '*', { studentId: studentId, noticeId: noticeId });
    };
    NoticeProvider.prototype.saveOne = function (record) {
        var _this = this;
        console.log('ntc saveOne  ========> ' + JSON.stringify(record));
        var noticeQuestions = record.noticeFieldAnswer;
        delete record.noticeFieldAnswer;
        record['groupNameArray'] = JSON.stringify(record['groupNameArray']);
        record['attachments'] = JSON.stringify(record['attachments']);
        this.db.replace('notice', record).then(function (ret) {
            if (ret) {
                // 插入问题列表
                _this.saveQuestionRecords(record.studentId, noticeQuestions, record.id);
            }
            else {
                console.log('ntc saveOne error ========> ' + JSON.stringify(ret));
                var params = {
                    ntcId: record.id,
                    studentId: record.studentId,
                    ret: JSON.stringify(ret)
                };
                _this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].sendbackUrl, params).subscribe(function (res) {
                    console.log('ntc saveOne error sendback return = ' + JSON.stringify(res));
                });
            }
        });
        this.setBadge();
    };
    NoticeProvider.prototype.saveRecords = function (records) {
        var _this = this;
        if (records) {
            var taskName = 'notice.saveRecords';
            if (this.util.hasHttpJobs(taskName)) {
                console.log(taskName + " already running, return");
                return;
            }
            this.util.addHttpJobs(taskName);
            this.platform.ready().then(function () {
                var _loop_1 = function (i) {
                    console.log('ntc saveRecords  ========> ' + JSON.stringify(records[i]));
                    var noticeQuestions = records[i].noticeFieldAnswer;
                    delete records[i].noticeFieldAnswer;
                    for (var j in records[i]['attachments']) {
                        /* this.file.download(records[i]['attachments'][j].fileUrl, records[i]['attachments'][j].filePath).then((res) => {
                            //console.log('download success ' );
                        }, (error) => {
                            console.error('download error:' + JSON.stringify(error));
                        }); */
                        if (records[i]['attachments'][j].fileType == 'pdf') {
                            _this.file.download(records[i]['attachments'][j].fileUrl);
                        }
                    }
                    records[i]['groupNameArray'] = JSON.stringify(records[i]['groupNameArray']);
                    records[i]['attachments'] = JSON.stringify(records[i]['attachments']);
                    _this.db.replace('notice', records[i]).then(function (ret) {
                        if (ret) {
                            // 插入问题列表
                            _this.saveQuestionRecords(records[i].studentId, noticeQuestions, records[i].id);
                            _this.update.setUpdatedValue('ntcUpdated', records[i].studentId, records[i].updated);
                            console.log('ntc saveRecords ntcUpdated studentId =' + records[i].studentId + " updated=" + records[i].updated);
                        }
                    });
                };
                for (var i in records) {
                    _loop_1(i);
                }
                _this.setBadge();
            });
            this.util.removeHttpJobs(taskName);
        }
    };
    NoticeProvider.prototype.saveQuestionRecords = function (studentId, records, noticeId) {
        var _this = this;
        if (records != null) {
            this.db.delete('notice_question', { studentId: studentId, noticeId: noticeId }).then(function (ret) {
                for (var i in records) {
                    var subQuestions = records[i].subQuestions;
                    if (typeof (subQuestions) != 'undefined') {
                        delete records[i].subQuestions;
                        _this.db.replace('notice_question', records[i]);
                        for (var j in subQuestions) {
                            _this.db.replace('notice_question', subQuestions[j]);
                        }
                    }
                    else {
                        _this.db.replace('notice_question', records[i]);
                    }
                }
            });
        } // records != null
    };
    NoticeProvider.prototype.reply = function (params) {
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].noticeReplyApiUrl, params);
    };
    NoticeProvider.prototype.setRead = function (id) {
        var studentId = this.util.getCurrentStudentId();
        // update local
        this.db.update('notice', { n2sStatus: 4 }, { studentId: studentId, id: id }).then(function (ret) {
            // ...
        });
        this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].noticeSetReadApiUrl, { studentId: studentId, ids: id }).subscribe(function (res) {
            var data = res.json();
            if (data.code == 1) {
                /*
                this.events.publish("updateBadge:ntc:success");
                */
            }
        });
    };
    NoticeProvider.prototype.setBadge = function () {
        var _this = this;
        this.getUnsigned().then(function (ret) {
            var cnt = ret.length;
            _this.badge.setValue('ntc', cnt);
            _this.events.publish("updateBadge:ntc:success");
            _this.events.publish("setDesktopBadge");
        });
    };
    NoticeProvider.prototype.isExpired = function (data) {
        var isExpired = Boolean((data.needReply == 1) && (data.n2sStatus != 6) && (data.expiryDate != " -- ") && (new Date(data.expiryDate + "T" + data.expiryTime).getTime() / 1000 < this.util.getCurrentDatetime()));
        return isExpired;
    };
    NoticeProvider.prototype.isUnsigned = function (data) {
        var isUnsigned = Boolean((data.needReply == 1) &&
            (data.n2sStatus != 6) &&
            ((data.expiryDate == " -- ") ||
                (new Date(data.expiryDate + "T" + data.expiryTime).getTime() / 1000 > this.util.getCurrentDatetime())));
        return isUnsigned;
    };
    NoticeProvider.prototype.getUnsigned = function () {
        return this.db.select('notice', '*', this.getUnsignedCondition());
    };
    NoticeProvider.prototype.getUnsignedCondition = function () {
        var studentId = this.util.getCurrentStudentId();
        var datetimeInteger = this.util.getCurrentDatetimeInteger();
        var condition = "studentId = " + studentId + " AND needReply == 1 AND n2sStatus != 6 AND (expiryDate = ' -- ' OR replace(expiryDate, '-', '') || replace(expiryTime, ':', '') > '" + datetimeInteger + "')";
        return condition;
    };
    NoticeProvider.prototype.getSignedCondition = function () {
        var studentId = this.util.getCurrentStudentId();
        var condition = "studentId = " + studentId + " AND needReply == 1 AND n2sStatus = 6 ";
        return condition;
    };
    NoticeProvider.prototype.del = function (id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.db.delete('notice', { id: id });
        });
    };
    NoticeProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_6__badge_badge__["a" /* BadgeProvider */],
            __WEBPACK_IMPORTED_MODULE_7__libs_file__["a" /* FileAction */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], NoticeProvider);
    return NoticeProvider;
}());

//# sourceMappingURL=notice.js.map

/***/ }),

/***/ 93:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeworkProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HomeworkProvider = (function () {
    function HomeworkProvider(platform, db, update, util) {
        this.platform = platform;
        this.db = db;
        this.update = update;
        this.util = util;
        this.subject = '';
    }
    HomeworkProvider.prototype.getItemsFromLocalDb = function (page, status, studentId, subjectCode) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = " studentId = " + studentId;
        if (status == 'unhanded')
            condition += " AND handinDate > DATE('now', 'localtime')";
        if (subjectCode)
            condition += " AND subjectCode = '" + subjectCode + "'";
        return this.db.select('homework', '*', condition, ' id DESC', null, pageSize, offset);
    };
    HomeworkProvider.prototype.getItemsFromRemoteDb = function () {
        var studentId = this.util.getCurrentStudentId();
        var updated = this.update.getUpdatedValue(studentId, 'hwkUpdated') ? this.update.getUpdatedValue(studentId, 'hwkUpdated') : 0;
        return this.util.post(__WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* Config */].homeworkGetApiUrl, {
            'updated': updated,
            'studentId': studentId
        });
    };
    HomeworkProvider.prototype.getTotalPage = function (status, studentId) {
        var condition = " studentId = " + studentId;
        if (status == 'unhanded')
            condition += " AND handinDate > DATE('now', 'localtime')";
        return this.db.getTotalPage('homework', condition);
    };
    HomeworkProvider.prototype.getItem = function (id) {
        return this.db.select('homework', '*', { id: id });
    };
    HomeworkProvider.prototype.saveRecords = function (records) {
        var _this = this;
        if (records) {
            this.platform.ready().then(function () {
                var _loop_1 = function (key) {
                    _this.db.replace('homework', records[key]).then(function (ret) {
                        if (ret) {
                            _this.update.setUpdatedValue('hwkUpdated', records[key].studentId, records[key].updated);
                        }
                    });
                };
                for (var key in records) {
                    _loop_1(key);
                }
            });
        }
    };
    HomeworkProvider.prototype.getSubjectItems = function (studentId) {
        return this.db.select('homework', 'DISTINCT(subjectCode) AS subjectCode, subjectName', 'studentId = "' + studentId + '" AND subjectCode != "null" ', 'id DESC');
    };
    HomeworkProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_3__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */]])
    ], HomeworkProvider);
    return HomeworkProvider;
}());

//# sourceMappingURL=homework.js.map

/***/ }),

/***/ 94:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__update_update__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__badge_badge__ = __webpack_require__(69);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var NewsProvider = (function () {
    function NewsProvider(util, db, update, platform, badge, events) {
        this.util = util;
        this.db = db;
        this.update = update;
        this.platform = platform;
        this.badge = badge;
        this.events = events;
    }
    NewsProvider.prototype.getItemsFromLocalDb = function (page, status) {
        var pageSize = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].pageSize;
        var offset = ((page ? page : 1) - 1) * pageSize;
        var condition = "pushType = 7 AND studentId = " + this.util.getCurrentStudentId();
        if (status == 'student')
            condition += " AND catId = 1";
        else if (status == 'parents')
            condition += " AND catId = 2";
        return this.db.select('news', '*', condition, ' id DESC', null, pageSize, offset);
    };
    NewsProvider.prototype.getTotalPage = function (status) {
        var condition = "pushType = 7 AND studentId = " + this.util.getCurrentStudentId();
        if (status == 'student')
            condition += " AND catId = 1";
        else if (status == 'parents')
            condition += " AND catId = 2";
        return this.db.getTotalPage('news', condition);
    };
    NewsProvider.prototype.getItem = function (id) {
        return this.db.select('news', '*', { id: id });
    };
    NewsProvider.prototype.getLatestFromRemoteDb = function (schoolId, studentId, source) {
        var _this = this;
        var params = {
            studentId: studentId,
            schoolId: schoolId,
            updated: this.update.getUpdatedValue(studentId, 'newsUpdated')
        };
        this.util.post(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].newsGetApiUrl, params).subscribe(function (res) {
            var data = res.json();
            if (data.code == 1) {
                var records = data.rows;
                //delete the news
                if (data.deleted)
                    _this.deleteRecords(data.deleted);
                // Update local db
                if (records != null) {
                    for (var i in records) {
                        records[i]['attachments'] = JSON.stringify(records[i]['attachments']);
                    }
                    _this.saveRecords(records);
                    _this.update.setUpdatedValue('newsUpdated', studentId, data.updated);
                    // if(records[0].studentId && source == 'push') {
                    // 	// 切换学生
                    //     let currentStudentId = this.util.getCurrentStudentId();
                    //     let pushMsgStudentId = records[0].studentId;
                    //     if(currentStudentId != pushMsgStudentId)
                    //         this.util.setCurrentStudentId(pushMsgStudentId);
                    // }
                    return records;
                }
            }
        });
    };
    NewsProvider.prototype.saveRecords = function (records) {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        if (records) {
            this.platform.ready().then(function () {
                var _loop_1 = function (key) {
                    console.log('news saveRecords  ========> ' + JSON.stringify(records[key]));
                    _this.db.replace('news', records[key]).then(function (ret) {
                        if (ret) {
                            _this.update.setUpdatedValue('newsUpdated', studentId, records[key].updated);
                        }
                    });
                };
                for (var key in records) {
                    _loop_1(key);
                }
            });
        }
    };
    NewsProvider.prototype.deleteRecords = function (records) {
        for (var i in records) {
            this.db.delete('news', { id: records[i].refId });
        }
    };
    NewsProvider.prototype.setRead = function () {
        var _this = this;
        var studentId = this.util.getCurrentStudentId();
        this.db.select('news', 'id', "studentId = " + studentId + " AND m2sStatus != 4 AND pushType != 7").then(function (ret) {
            if (ret.length) {
                var idArr = [];
                for (var key in ret) {
                    idArr.push(ret[key].id);
                }
                var ids = idArr.join(',');
                _this.util.post(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].newsSetReadApiUrl, { studentId: studentId, ids: ids }).subscribe(function (res) {
                    var data = res.json();
                    if (data.code == 1) {
                        _this.badge.setValue('news', 0);
                        _this.events.publish("updateBadge:news:success");
                    }
                });
            }
        });
    };
    NewsProvider.prototype.del = function (id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.db.delete('news', { id: id });
        });
    };
    NewsProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_4__database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_2__update_update__["a" /* UpdateProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_6__badge_badge__["a" /* BadgeProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], NewsProvider);
    return NewsProvider;
}());

//# sourceMappingURL=news.js.map

/***/ })

},[437]);
//# sourceMappingURL=main.js.map